include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
include('Axioms/LAN001/LAN001^2.ax').
thf(typ_rp_is,type, (rp_is : ($i>$i>$o))).

thf(def_rp_is,definition, (rp_is = (e_is@cut))).

thf(typ_rp_nis,type, (rp_nis : ($i>$i>$o))).

thf(def_rp_nis,definition, (rp_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(rp_is@X0@X1))))).

thf(typ_cutof,type, (cutof : ($i>$i))).

thf(def_cutof,definition, (cutof = (out@(power@rat)@cutprop))).

thf(typ_rp_all,type, (rp_all : (($i>$o)>$o))).

thf(def_rp_all,definition, (rp_all = (all@cut))).

thf(typ_rp_some,type, (rp_some : (($i>$o)>$o))).

thf(def_rp_some,definition, (rp_some = (l_some@cut))).

thf(typ_rp_one,type, (rp_one : (($i>$o)>$o))).

thf(def_rp_one,definition, (rp_one = (one@cut))).

thf(satz116,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (rp_is@X0@X0)))).

thf(satz117,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@cut))@(^ [X1:$i] : ((rp_is@X0@X1) => (rp_is@X1@X0))))))).

thf(satz118,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@cut))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@cut))@(^ [X2:$i] : ((rp_is@X0@X1) => ((rp_is@X1@X2) => (rp_is@X0@X2)))))))))).

thf(satz119,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((urt@X0@X1) => (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X2@X1) => (urt@X0@X2)))))))))).

thf(satz119a,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((urt@X0@X1) => (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X1@X2) => (urt@X0@X2)))))))))).

thf(satz120,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((lrt@X0@X1) => (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X2@X1) => (lrt@X0@X2)))))))))).

thf(satz120a,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((lrt@X0@X1) => (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X1@X2) => (lrt@X0@X2)))))))))).

thf(typ_rp_more,type, (rp_more : ($i>$i>$o))).

thf(def_rp_more,definition, (rp_more = (^ [X0:$i] : ^ [X1:$i] : (rt_some@(^ [X2:$i] : (d_and@(lrt@X0@X2)@(urt@X1@X2))))))).

thf(typ_rp_less,type, (rp_less : ($i>$i>$o))).

thf(def_rp_less,definition, (rp_less = (^ [X0:$i] : ^ [X1:$i] : (rt_some@(^ [X2:$i] : (d_and@(urt@X0@X2)@(lrt@X1@X2))))))).

thf(satz121,axiom, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@cut))@(^ [X1:$i] : ((rp_more@X0@X1) => (rp_less@X1@X0))))))).

thf(satz122,conjecture, (all_of@(^ [X0:$i] : (in@X0@cut))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@cut))@(^ [X1:$i] : ((rp_less@X0@X1) => (rp_more@X1@X0))))))).

