include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
include('Axioms/LAN001/LAN001^2.ax').
include('Axioms/LAN001/LAN001^3.ax').
thf(typ_rp_eq,type, (rp_eq : ($i>$i>$o))).

thf(def_rp_eq,definition, (rp_eq = (^ [X0:$i] : ^ [X1:$i] : (rp_is@(rp_pl@(stm@X0)@(std@X1))@(rp_pl@(stm@X1)@(std@X0)))))).

thf(typ_posd,type, (posd : ($i>$o))).

thf(def_posd,definition, (posd = (^ [X0:$i] : (rp_more@(stm@X0)@(std@X0))))).

thf(typ_zero,type, (zero : ($i>$o))).

thf(def_zero,definition, (zero = (^ [X0:$i] : (rp_is@(stm@X0)@(std@X0))))).

thf(typ_negd,type, (negd : ($i>$o))).

thf(def_negd,definition, (negd = (^ [X0:$i] : (rp_less@(stm@X0)@(std@X0))))).

thf(typ_pdofrp,type, (pdofrp : ($i>$i))).

thf(def_pdofrp,definition, (pdofrp = (^ [X0:$i] : (rp_df@(rp_pl@X0@d_1rp)@d_1rp)))).

thf(typ_ndofrp,type, (ndofrp : ($i>$i))).

thf(def_ndofrp,definition, (ndofrp = (^ [X0:$i] : (rp_df@d_1rp@(rp_pl@X0@d_1rp))))).

thf(typ_rpofpd,type, (rpofpd : ($i>$i))).

thf(def_rpofpd,definition, (rpofpd = (^ [X0:$i] : (rp_mn@(stm@X0)@(std@X0))))).

thf(typ_rpofnd,type, (rpofnd : ($i>$i))).

thf(def_rpofnd,definition, (rpofnd = (^ [X0:$i] : (rp_mn@(std@X0)@(stm@X0))))).

thf(typ_absd,type, (absd : ($i>$i))).

thf(def_absd,definition, (absd = (^ [X0:$i] : (ite@(negd@X0)@dif@(rp_df@(std@X0)@(stm@X0))@X0)))).

thf(typ_mored,type, (mored : ($i>$i>$o))).

thf(def_mored,definition, (mored = (^ [X0:$i] : ^ [X1:$i] : (rp_more@(rp_pl@(stm@X0)@(std@X1))@(rp_pl@(stm@X1)@(std@X0)))))).

thf(typ_lessd,type, (lessd : ($i>$i>$o))).

thf(def_lessd,definition, (lessd = (^ [X0:$i] : ^ [X1:$i] : (rp_less@(rp_pl@(stm@X0)@(std@X1))@(rp_pl@(stm@X1)@(std@X0)))))).

thf(typ_rp_moreq,type, (rp_moreq : ($i>$i>$o))).

thf(def_rp_moreq,definition, (rp_moreq = (^ [X0:$i] : ^ [X1:$i] : (l_or@(mored@X0@X1)@(rp_eq@X0@X1))))).

thf(typ_rp_lesseq,type, (rp_lesseq : ($i>$i>$o))).

thf(def_rp_lesseq,definition, (rp_lesseq = (^ [X0:$i] : ^ [X1:$i] : (l_or@(lessd@X0@X1)@(rp_eq@X0@X1))))).

thf(typ_ratd,type, (ratd : ($i>$o))).

thf(def_ratd,definition, (ratd = (^ [X0:$i] : ((d_not@(zero@X0)) => (ratrp@(rpofpd@(absd@X0))))))).

thf(typ_irratd,type, (irratd : ($i>$o))).

thf(def_irratd,definition, (irratd = (^ [X0:$i] : (d_not@(ratd@X0))))).

thf(typ_natd,type, (natd : ($i>$o))).

thf(def_natd,definition, (natd = (^ [X0:$i] : (d_and@(posd@X0)@((posd@X0) => (natrp@(rpofpd@X0))))))).

thf(typ_pdofnt,type, (pdofnt : ($i>$i))).

thf(def_pdofnt,definition, (pdofnt = (^ [X0:$i] : (pdofrp@(rpofnt@X0))))).

thf(typ_intd,type, (intd : ($i>$o))).

thf(def_intd,definition, (intd = (^ [X0:$i] : (l_or@(zero@X0)@(natd@(absd@X0)))))).

thf(typ_rp_pd,type, (rp_pd : ($i>$i>$i))).

thf(def_rp_pd,definition, (rp_pd = (^ [X0:$i] : ^ [X1:$i] : (rp_df@(rp_pl@(stm@X0)@(stm@X1))@(rp_pl@(std@X0)@(std@X1)))))).

thf(typ_m0d,type, (m0d : ($i>$i))).

thf(def_m0d,definition, (m0d = (^ [X0:$i] : (rp_df@(std@X0)@(stm@X0))))).

thf(typ_rp_md,type, (rp_md : ($i>$i>$i))).

thf(def_rp_md,definition, (rp_md = (^ [X0:$i] : ^ [X1:$i] : (rp_pd@X0@(m0d@X1))))).

thf(typ_rp_td,type, (rp_td : ($i>$i>$i))).

thf(def_rp_td,definition, (rp_td = (^ [X0:$i] : ^ [X1:$i] : (rp_df@(rp_pl@(rp_ts@(stm@X0)@(stm@X1))@(rp_ts@(std@X0)@(std@X1)))@(rp_pl@(rp_ts@(stm@X0)@(std@X1))@(rp_ts@(std@X0)@(stm@X1))))))).

thf(typ_d_1df,type, (d_1df : $i)).

thf(def_d_1df,definition, (d_1df = (pdofrp@d_1rp))).

thf(typ_p1p2,type, (p1p2 : ($i>$i>$o))).

thf(def_p1p2,definition, (p1p2 = (^ [X0:$i] : ^ [X1:$i] : (d_and@(posd@X0)@(posd@X1))))).

thf(typ_p1n2,type, (p1n2 : ($i>$i>$o))).

thf(def_p1n2,definition, (p1n2 = (^ [X0:$i] : ^ [X1:$i] : (d_and@(posd@X0)@(negd@X1))))).

thf(typ_n1p2,type, (n1p2 : ($i>$i>$o))).

thf(def_n1p2,definition, (n1p2 = (^ [X0:$i] : ^ [X1:$i] : (d_and@(negd@X0)@(posd@X1))))).

thf(typ_n1n2,type, (n1n2 : ($i>$i>$o))).

thf(def_n1n2,definition, (n1n2 = (^ [X0:$i] : ^ [X1:$i] : (d_and@(negd@X0)@(negd@X1))))).

thf(typ_arpi,type, (arpi : ($i>$i))).

thf(def_arpi,definition, (arpi = (^ [X0:$i] : (rp_ov@d_1rp@(rpofpd@X0))))).

thf(typ_iv4d_ai,type, (iv4d_ai : ($i>$i))).

thf(def_iv4d_ai,definition, (iv4d_ai = (^ [X0:$i] : (pdofrp@(arpi@X0))))).

thf(typ_iv5d_2,type, (iv5d_2 : $i)).

thf(def_iv5d_2,definition, (iv5d_2 = (rp_pl@d_1rp@d_1rp))).

thf(typ_rp1,type, (rp1 : ($i>$i))).

thf(def_rp1,definition, (rp1 = (^ [X0:$i] : (rp_pl@X0@d_1rp)))).

thf(typ_rp_in,type, (rp_in : ($i>$i>$o))).

thf(def_rp_in,definition, (rp_in = (esti@cut))).

thf(typ_d_5p205_prop1,type, (d_5p205_prop1 : ($i>$i>$o))).

thf(def_d_5p205_prop1,definition, (d_5p205_prop1 = (^ [X0:$i] : ^ [X1:$i] : (rp_all@(^ [X2:$i] : ((rp_less@X2@X1) => (rp_in@X2@X0))))))).

thf(typ_d_5p205_prop2,type, (d_5p205_prop2 : ($i>$i>$o))).

thf(def_d_5p205_prop2,definition, (d_5p205_prop2 = (^ [X0:$i] : ^ [X1:$i] : (rp_all@(^ [X2:$i] : ((rp_more@X2@X1) => (rp_in@X2@X0))))))).

thf(typ_d_5p205_prop3,type, (d_5p205_prop3 : ($i>$i>$i>$o))).

thf(def_d_5p205_prop3,definition, (d_5p205_prop3 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_and@(d_5p205_prop1@X0@X2)@(d_5p205_prop2@X1@X2))))).

thf(typ_schnittprop,type, (schnittprop : ($i>$i>$o))).

thf(def_schnittprop,definition, (schnittprop = (^ [X0:$i] : ^ [X1:$i] : (rp_some@(^ [X2:$i] : (d_and@(rp_in@X2@X0)@(lrt@X2@X1))))))).

thf(typ_schnittset,type, (schnittset : ($i>$i))).

thf(def_schnittset,definition, (schnittset = (^ [X0:$i] : (d_Sep@rat@(schnittprop@X0))))).

thf(typ_snt,type, (snt : ($i>$i>$i))).

thf(def_snt,definition, (snt = (^ [X0:$i] : ^ [X1:$i] : (cutof@(schnittset@X0))))).

thf(typ_schnitt,type, (schnitt : ($i>$i>$i))).

thf(def_schnitt,definition, (schnitt = (^ [X0:$i] : ^ [X1:$i] : (ind@cut@(d_5p205_prop3@X0@X1))))).

thf(typ_srp,type, (srp : ($i>$i))).

thf(def_srp,definition, (srp = (^ [X0:$i] : (sqrt@(rpofpd@X0))))).

thf(typ_d161_s,type, (d161_s : ($i>$i))).

thf(def_d161_s,definition, (d161_s = (^ [X0:$i] : (pdofrp@(srp@X0))))).

thf(typ_apb1,type, (apb1 : ($i>$i>$i))).

thf(def_apb1,definition, (apb1 = (^ [X0:$i] : ^ [X1:$i] : (rpofpd@(rp_pd@X0@X1))))).

thf(typ_intd_b2,type, (intd_b2 : ($i>$i))).

thf(def_intd_b2,definition, (intd_b2 = (^ [X0:$i] : (rpofpd@(m0d@X0))))).

thf(typ_intd_a3,type, (intd_a3 : ($i>$i>$i))).

thf(def_intd_a3,definition, (intd_a3 = (^ [X0:$i] : ^ [X1:$i] : (rpofpd@(absd@X0))))).

thf(typ_intd_b3,type, (intd_b3 : ($i>$i>$i))).

thf(def_intd_b3,definition, (intd_b3 = (^ [X0:$i] : ^ [X1:$i] : (rpofpd@(absd@X1))))).

thf(typ_atb3,type, (atb3 : ($i>$i>$i))).

thf(def_atb3,definition, (atb3 = (^ [X0:$i] : ^ [X1:$i] : (rpofpd@(absd@(rp_td@X0@X1)))))).

thf(typ_r_inn,type, (r_inn : ($i>$i>$o))).

thf(def_r_inn,definition, (r_inn = (esti@dif))).

thf(typ_real,type, (real : $i)).

thf(def_real,definition, (real = (ect@dif@rp_eq))).

thf(typ_r_is,type, (r_is : ($i>$i>$o))).

thf(def_r_is,definition, (r_is = (e_is@real))).

thf(typ_r_nis,type, (r_nis : ($i>$i>$o))).

thf(def_r_nis,definition, (r_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(r_is@X0@X1))))).

thf(typ_r_some,type, (r_some : (($i>$o)>$o))).

thf(def_r_some,definition, (r_some = (l_some@real))).

thf(typ_r_all,type, (r_all : (($i>$o)>$o))).

thf(def_r_all,definition, (r_all = (all@real))).

thf(typ_r_one,type, (r_one : (($i>$o)>$o))).

thf(def_r_one,definition, (r_one = (one@real))).

thf(typ_r_in,type, (r_in : ($i>$i>$o))).

thf(def_r_in,definition, (r_in = (esti@real))).

thf(typ_realof,type, (realof : ($i>$i))).

thf(def_realof,definition, (realof = (ectelt@dif@rp_eq))).

thf(typ_r_class,type, (r_class : ($i>$i))).

thf(def_r_class,definition, (r_class = (ecect@dif@rp_eq))).

thf(typ_r_fixf,type, (r_fixf : ($i>$i>$o))).

thf(def_r_fixf,definition, (r_fixf = (fixfu@dif@rp_eq))).

thf(typ_indreal,type, (indreal : ($i>$i>$i>$i))).

thf(def_indreal,definition, (indreal = (indeq@dif@rp_eq))).

thf(typ_fixf2,type, (fixf2 : ($i>$i>$o))).

thf(def_fixf2,definition, (fixf2 = (fixfu2@dif@rp_eq))).

thf(typ_indreal2,type, (indreal2 : ($i>$i>$i>$i>$i))).

thf(def_indreal2,definition, (indreal2 = (indeq2@dif@rp_eq))).

thf(typ_r_0,type, (r_0 : $i)).

thf(def_r_0,definition, (r_0 = (realof@(rp_df@d_1rp@d_1rp)))).

thf(typ_propp,type, (propp : ($i>$i>$o))).

thf(def_propp,definition, (propp = (^ [X0:$i] : ^ [X1:$i] : (d_and@(r_inn@X1@(r_class@X0))@(posd@X1))))).

thf(typ_pos,type, (pos : ($i>$o))).

thf(def_pos,definition, (pos = (^ [X0:$i] : (l_some@dif@(propp@X0))))).

thf(typ_propn,type, (propn : ($i>$i>$o))).

thf(def_propn,definition, (propn = (^ [X0:$i] : ^ [X1:$i] : (d_and@(r_inn@X1@(r_class@X0))@(negd@X1))))).

thf(typ_neg,type, (neg : ($i>$o))).

thf(def_neg,definition, (neg = (^ [X0:$i] : (l_some@dif@(propn@X0))))).

thf(typ_pofrp,type, (pofrp : ($i>$i))).

thf(def_pofrp,definition, (pofrp = (^ [X0:$i] : (realof@(pdofrp@X0))))).

thf(typ_nofrp,type, (nofrp : ($i>$i))).

thf(def_nofrp,definition, (nofrp = (^ [X0:$i] : (realof@(ndofrp@X0))))).

thf(typ_ivr1_pr,type, (ivr1_pr : ($i>$i>$i))).

thf(def_ivr1_pr,definition, (ivr1_pr = (^ [X0:$i] : rpofpd))).

thf(typ_rpofp,type, (rpofp : ($i>$i))).

thf(def_rpofp,definition, (rpofp = (^ [X0:$i] : (ind@cut@(^ [X1:$i] : (r_is@X0@(pofrp@X1))))))).

thf(typ_ivr1_nr,type, (ivr1_nr : ($i>$i>$i))).

thf(def_ivr1_nr,definition, (ivr1_nr = (^ [X0:$i] : rpofnd))).

thf(typ_rpofn,type, (rpofn : ($i>$i))).

thf(def_rpofn,definition, (rpofn = (^ [X0:$i] : (ind@cut@(^ [X1:$i] : (r_is@X0@(nofrp@X1))))))).

thf(satz163,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@X0@X0)))).

thf(satz164,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@X0@X1) => (r_is@X1@X0))))))).

thf(satz165,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@X0@X1) => ((r_is@X1@X2) => (r_is@X0@X2)))))))))).

thf(typ_absdr,type, (absdr : $i)).

thf(def_absdr,definition, (absdr = (d_Sigma@dif@(^ [X0:$i] : (realof@(absd@X0)))))).

thf(typ_abs,type, (abs : ($i>$i))).

thf(def_abs,definition, (abs = (indreal@real@absdr))).

thf(satz166a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((pos@X0) => (pos@(abs@X0)))))).

thf(satz166b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((neg@X0) => (pos@(abs@X0)))))).

thf(satz166c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((pos@X0) => ((pos@X1) => ((r_is@(abs@X0)@(abs@X1)) => (r_is@X0@X1))))))))).

thf(satz166d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((neg@X0) => ((neg@X1) => ((r_is@(abs@X0)@(abs@X1)) => (r_is@X0@X1))))))))).

thf(satz166e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((r_nis@X0@r_0) => (pos@(abs@X0)))))).

thf(satz166f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((r_is@X0@r_0) => (r_is@(abs@X0)@r_0))))).

thf(typ_r_more,type, (r_more : ($i>$i>$o))).

thf(def_r_more,definition, (r_more = (^ [X0:$i] : ^ [X1:$i] : (l_some@dif@(^ [X2:$i] : (l_some@dif@(^ [X3:$i] : (and3@(r_inn@X2@(r_class@X0))@(r_inn@X3@(r_class@X1))@(mored@X2@X3))))))))).

thf(typ_ivr2_propm,type, (ivr2_propm : ($i>$i>$i>$i>$o))).

thf(def_ivr2_propm,definition, (ivr2_propm = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (and3@(r_inn@X2@(r_class@X0))@(r_inn@X3@(r_class@X1))@(mored@X2@X3))))).

thf(typ_r_less,type, (r_less : ($i>$i>$o))).

thf(def_r_less,definition, (r_less = (^ [X0:$i] : ^ [X1:$i] : (l_some@dif@(^ [X2:$i] : (l_some@dif@(^ [X3:$i] : (and3@(r_inn@X2@(r_class@X0))@(r_inn@X3@(r_class@X1))@(lessd@X2@X3))))))))).

thf(typ_ivr2_propl,type, (ivr2_propl : ($i>$i>$i>$i>$o))).

thf(def_ivr2_propl,definition, (ivr2_propl = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (and3@(r_inn@X2@(r_class@X0))@(r_inn@X3@(r_class@X1))@(lessd@X2@X3))))).

thf(satz167,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (orec3@(r_is@X0@X1)@(r_more@X0@X1)@(r_less@X0@X1))))))).

thf(satz167a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (or3@(r_is@X0@X1)@(r_more@X0@X1)@(r_less@X0@X1))))))).

thf(satz167b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (ec3@(r_is@X0@X1)@(r_more@X0@X1)@(r_less@X0@X1))))))).

thf(typ_r_moreis,type, (r_moreis : ($i>$i>$o))).

thf(def_r_moreis,definition, (r_moreis = (^ [X0:$i] : ^ [X1:$i] : (l_or@(r_more@X0@X1)@(r_is@X0@X1))))).

thf(typ_r_lessis,type, (r_lessis : ($i>$i>$o))).

thf(def_r_lessis,definition, (r_lessis = (^ [X0:$i] : ^ [X1:$i] : (l_or@(r_less@X0@X1)@(r_is@X0@X1))))).

thf(satz168a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_moreis@X0@X1) => (r_lessis@X1@X0))))))).

thf(satz168b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_lessis@X0@X1) => (r_moreis@X1@X0))))))).

thf(satz167c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_moreis@X0@X1) => (d_not@(r_less@X0@X1)))))))).

thf(satz167d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_lessis@X0@X1) => (d_not@(r_more@X0@X1)))))))).

thf(satz167e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((d_not@(r_more@X0@X1)) => (r_lessis@X0@X1))))))).

thf(satz167f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((d_not@(r_less@X0@X1)) => (r_moreis@X0@X1))))))).

thf(satz167g,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_more@X0@X1) => (d_not@(r_lessis@X0@X1)))))))).

thf(satz167h,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_less@X0@X1) => (d_not@(r_moreis@X0@X1)))))))).

thf(satz167j,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((d_not@(r_moreis@X0@X1)) => (r_less@X0@X1))))))).

thf(satz167k,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((d_not@(r_lessis@X0@X1)) => (r_more@X0@X1))))))).

thf(satz169a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((pos@X0) => (r_more@X0@r_0))))).

thf(satz169b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((r_more@X0@r_0) => (pos@X0))))).

thf(satz169c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((neg@X0) => (r_less@X0@r_0))))).

thf(satz169d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((r_less@X0@r_0) => (neg@X0))))).

thf(satz170,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_moreis@(abs@X0)@r_0)))).

thf(satz170a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (d_not@(neg@(abs@X0)))))).

thf(satz171,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_less@X0@X1) => ((r_less@X1@X2) => (r_less@X0@X2)))))))))).

thf(satz172a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_lessis@X0@X1) => ((r_less@X1@X2) => (r_less@X0@X2)))))))))).

thf(satz172b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_less@X0@X1) => ((r_lessis@X1@X2) => (r_less@X0@X2)))))))))).

thf(satz172c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_moreis@X0@X1) => ((r_more@X1@X2) => (r_more@X0@X2)))))))))).

thf(satz172d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_more@X0@X1) => ((r_moreis@X1@X2) => (r_more@X0@X2)))))))))).

thf(satz173,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_lessis@X0@X1) => ((r_lessis@X1@X2) => (r_lessis@X0@X2)))))))))).

thf(typ_ratrl,type, (ratrl : ($i>$o))).

thf(def_ratrl,definition, (ratrl = (^ [X0:$i] : (l_some@dif@(^ [X1:$i] : (d_and@(r_inn@X1@(r_class@X0))@(ratd@X1))))))).

thf(typ_irratrl,type, (irratrl : ($i>$o))).

thf(def_irratrl,definition, (irratrl = (^ [X0:$i] : (d_not@(ratrl@X0))))).

thf(typ_natrl,type, (natrl : ($i>$o))).

thf(def_natrl,definition, (natrl = (^ [X0:$i] : (l_some@dif@(^ [X1:$i] : (d_and@(r_inn@X1@(r_class@X0))@(natd@X1))))))).

thf(typ_rlofnt,type, (rlofnt : ($i>$i))).

thf(def_rlofnt,definition, (rlofnt = (^ [X0:$i] : (realof@(pdofnt@X0))))).

thf(typ_ivr2_x0,type, (ivr2_x0 : ($i>$i>$i))).

thf(def_ivr2_x0,definition, (ivr2_x0 = (^ [X0:$i] : ^ [X1:$i] : (ntofrp@(ivr1_pr@X0@X1))))).

thf(typ_ntofrl,type, (ntofrl : ($i>$i))).

thf(def_ntofrl,definition, (ntofrl = (soft@nat@real@(d_Sigma@nat@rlofnt)))).

thf(typ_ivr2_xn,type, (ivr2_xn : ($i>$i))).

thf(def_ivr2_xn,definition, (ivr2_xn = (^ [X0:$i] : (soft@nat@real@(d_Sigma@nat@rlofnt)@(rlofnt@X0))))).

thf(typ_intrl,type, (intrl : ($i>$o))).

thf(def_intrl,definition, (intrl = (^ [X0:$i] : (l_some@dif@(^ [X1:$i] : (d_and@(r_inn@X1@(r_class@X0))@(intd@X1))))))).

thf(satz174,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((intrl@X0) => (ratrl@X0))))).

thf(typ_plusdr,type, (plusdr : $i)).

thf(def_plusdr,definition, (plusdr = (d_Sigma@dif@(^ [X0:$i] : (d_Sigma@dif@(^ [X1:$i] : (realof@(rp_pd@X0@X1)))))))).

thf(typ_r_pl,type, (r_pl : ($i>$i>$i))).

thf(def_r_pl,definition, (r_pl = (indreal2@real@plusdr))).

thf(satz175,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_is@(r_pl@X0@X1)@(r_pl@X1@X0))))))).

thf(typ_m0dr,type, (m0dr : $i)).

thf(def_m0dr,definition, (m0dr = (d_Sigma@dif@(^ [X0:$i] : (realof@(m0d@X0)))))).

thf(typ_r_m0,type, (r_m0 : ($i>$i))).

thf(def_r_m0,definition, (r_m0 = (indreal@real@m0dr))).

thf(satz176a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((pos@X0) => (neg@(r_m0@X0)))))).

thf(satz176b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((r_is@X0@r_0) => (r_is@(r_m0@X0)@r_0))))).

thf(satz176c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((neg@X0) => (pos@(r_m0@X0)))))).

thf(satz176d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((neg@(r_m0@X0)) => (pos@X0))))).

thf(satz176e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((r_is@(r_m0@X0)@r_0) => (r_is@X0@r_0))))).

thf(satz176f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((pos@(r_m0@X0)) => (neg@X0))))).

thf(satz177,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@(r_m0@(r_m0@X0))@X0)))).

thf(satz177a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@X0@(r_m0@(r_m0@X0)))))).

thf(satz177b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@X0@(r_m0@X1)) => (r_is@(r_m0@X0)@X1))))))).

thf(satz177c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@X0@(r_m0@X1)) => (r_is@X1@(r_m0@X0)))))))).

thf(satz177d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@(r_m0@X0)@X1) => (r_is@X0@(r_m0@X1)))))))).

thf(satz177e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@(r_m0@X0)@X1) => (r_is@(r_m0@X1)@X0))))))).

thf(satz178,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@(abs@(r_m0@X0))@(abs@X0))))).

thf(satz178a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@(abs@X0)@(abs@(r_m0@X0)))))).

thf(satz179,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@(r_pl@X0@(r_m0@X0))@r_0)))).

thf(satz179a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_is@(r_pl@(r_m0@X0)@X0)@r_0)))).

thf(satz180,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_is@(r_m0@(r_pl@X0@X1))@(r_pl@(r_m0@X0)@(r_m0@X1)))))))).

thf(satz180a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_is@(r_pl@(r_m0@X0)@(r_m0@X1))@(r_m0@(r_pl@X0@X1)))))))).

thf(typ_r_mn,type, (r_mn : ($i>$i>$i))).

thf(def_r_mn,definition, (r_mn = (^ [X0:$i] : ^ [X1:$i] : (r_pl@X0@(r_m0@X1))))).

thf(satz181,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_is@(r_m0@(r_mn@X0@X1))@(r_mn@X1@X0))))))).

thf(satz181a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_is@(r_mn@X0@X1)@(r_m0@(r_mn@X1@X0)))))))).

thf(satz182a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((pos@(r_mn@X0@X1)) => (r_more@X0@X1))))))).

thf(satz182b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@(r_mn@X0@X1)@r_0) => (r_is@X0@X1))))))).

thf(satz182c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((neg@(r_mn@X0@X1)) => (r_less@X0@X1))))))).

thf(satz182d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_more@X0@X1) => (pos@(r_mn@X0@X1)))))))).

thf(satz182e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@X0@X1) => (r_is@(r_mn@X0@X1)@r_0))))))).

thf(satz182f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_less@X0@X1) => (neg@(r_mn@X0@X1)))))))).

thf(satz183a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_more@X0@X1) => (r_less@(r_m0@X0)@(r_m0@X1)))))))).

thf(r_ism0,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@X0@X1) => (r_is@(r_m0@X0)@(r_m0@X1)))))))).

thf(satz183c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_less@X0@X1) => (r_more@(r_m0@X0)@(r_m0@X1)))))))).

thf(satz183d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_less@(r_m0@X0)@(r_m0@X1)) => (r_more@X0@X1))))))).

thf(satz183e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_is@(r_m0@X0)@(r_m0@X1)) => (r_is@X0@X1))))))).

thf(satz183f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((r_more@(r_m0@X0)@(r_m0@X1)) => (r_less@X0@X1))))))).

thf(typ_d_3r184_prop1,type, (d_3r184_prop1 : ($i>$i>$i>$o))).

thf(def_d_3r184_prop1,definition, (d_3r184_prop1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (and3@(pos@X1)@(pos@X2)@(r_is@X0@(r_mn@X1@X2)))))).

thf(typ_d_3r184_prop2,type, (d_3r184_prop2 : ($i>$i>$o))).

thf(def_d_3r184_prop2,definition, (d_3r184_prop2 = (^ [X0:$i] : ^ [X1:$i] : (r_some@(d_3r184_prop1@X0@X1))))).

thf(typ_d_3r184_prop3,type, (d_3r184_prop3 : ($i>$o))).

thf(def_d_3r184_prop3,definition, (d_3r184_prop3 = (^ [X0:$i] : (r_some@(d_3r184_prop2@X0))))).

thf(typ_prop1d,type, (prop1d : ($i>$i>$i>$o))).

thf(def_prop1d,definition, (prop1d = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (and3@(posd@X1)@(posd@X2)@(rp_eq@X0@(rp_md@X1@X2)))))).

thf(typ_prop2d,type, (prop2d : ($i>$i>$o))).

thf(def_prop2d,definition, (prop2d = (^ [X0:$i] : ^ [X1:$i] : (l_some@dif@(prop1d@X0@X1))))).

thf(satz184,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (r_some@(^ [X1:$i] : (r_some@(^ [X2:$i] : (and3@(pos@X1)@(pos@X2)@(r_is@X0@(r_mn@X1@X2)))))))))).

thf(satz185,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : (r_is@(r_pl@(r_mn@X0@X1)@(r_mn@X2@X3))@(r_mn@(r_pl@X0@X2)@(r_pl@X1@X3)))))))))))).

thf(satz186,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (r_is@(r_pl@(r_pl@X0@X1)@X2)@(r_pl@X0@(r_pl@X1@X2)))))))))).

thf(satz187a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_is@(r_pl@X1@(r_mn@X0@X1))@X0)))))).

thf(satz187b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_some@(^ [X2:$i] : (r_is@(r_pl@X1@X2)@X0)))))))).

thf(satz187c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@(r_pl@X1@X2)@X0) => (r_is@(r_mn@X0@X1)@X2))))))))).

thf(satz187d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@(r_pl@X1@X2)@X0) => (r_is@X2@(r_mn@X0@X1)))))))))).

thf(satz187e,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@(r_pl@X2@X1)@X0) => (r_is@(r_mn@X0@X1)@X2))))))))).

thf(satz187f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@(r_pl@X2@X1)@X0) => (r_is@X2@(r_mn@X0@X1)))))))))).

thf(satz187,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (r_one@(^ [X2:$i] : (r_is@(r_pl@X1@X2)@X0)))))))).

thf(satz188a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_more@(r_pl@X0@X2)@(r_pl@X1@X2)) => (r_more@X0@X1))))))))).

thf(satz188b,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@(r_pl@X0@X2)@(r_pl@X1@X2)) => (r_is@X0@X1))))))))).

thf(satz188c,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_less@(r_pl@X0@X2)@(r_pl@X1@X2)) => (r_less@X0@X1))))))))).

thf(satz188d,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_more@X0@X1) => (r_more@(r_pl@X0@X2)@(r_pl@X1@X2)))))))))).

thf(r_ispl1,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@X0@X1) => (r_is@(r_pl@X0@X2)@(r_pl@X1@X2)))))))))).

thf(satz188f,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_less@X0@X1) => (r_less@(r_pl@X0@X2)@(r_pl@X1@X2)))))))))).

thf(satz188g,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_more@(r_pl@X2@X0)@(r_pl@X2@X1)) => (r_more@X0@X1))))))))).

thf(satz188h,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@(r_pl@X2@X0)@(r_pl@X2@X1)) => (r_is@X0@X1))))))))).

thf(satz188j,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_less@(r_pl@X2@X0)@(r_pl@X2@X1)) => (r_less@X0@X1))))))))).

thf(satz188k,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_more@X0@X1) => (r_more@(r_pl@X2@X0)@(r_pl@X2@X1)))))))))).

thf(r_ispl2,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_is@X0@X1) => (r_is@(r_pl@X2@X0)@(r_pl@X2@X1)))))))))).

thf(satz188m,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : ((r_less@X0@X1) => (r_less@(r_pl@X2@X0)@(r_pl@X2@X1)))))))))).

thf(satz188n,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_is@X0@X1) => ((r_more@X2@X3) => (r_more@(r_pl@X0@X2)@(r_pl@X1@X3))))))))))))).

thf(satz188o,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_is@X0@X1) => ((r_more@X2@X3) => (r_more@(r_pl@X2@X0)@(r_pl@X3@X1))))))))))))).

thf(satz188p,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_is@X0@X1) => ((r_less@X2@X3) => (r_less@(r_pl@X0@X2)@(r_pl@X1@X3))))))))))))).

thf(satz188q,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_is@X0@X1) => ((r_less@X2@X3) => (r_less@(r_pl@X2@X0)@(r_pl@X3@X1))))))))))))).

thf(satz189,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_more@X0@X1) => ((r_more@X2@X3) => (r_more@(r_pl@X0@X2)@(r_pl@X1@X3))))))))))))).

thf(satz189a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_less@X0@X1) => ((r_less@X2@X3) => (r_less@(r_pl@X0@X2)@(r_pl@X1@X3))))))))))))).

thf(satz190a,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_moreis@X0@X1) => ((r_more@X2@X3) => (r_more@(r_pl@X0@X2)@(r_pl@X1@X3))))))))))))).

thf(satz190b,conjecture, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@real))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@real))@(^ [X3:$i] : ((r_more@X0@X1) => ((r_moreis@X2@X3) => (r_more@(r_pl@X0@X2)@(r_pl@X1@X3))))))))))))).

