include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
include('Axioms/LAN001/LAN001^2.ax').
include('Axioms/LAN001/LAN001^3.ax').
include('Axioms/LAN001/LAN001^4.ax').
thf(typ_complex,type, (complex : $i)).

thf(def_complex,definition, (complex = (pair1type@real))).

thf(typ_c_is,type, (c_is : ($i>$i>$o))).

thf(def_c_is,definition, (c_is = (e_is@complex))).

thf(typ_c_nis,type, (c_nis : ($i>$i>$o))).

thf(def_c_nis,definition, (c_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(c_is@X0@X1))))).

thf(typ_c_some,type, (c_some : (($i>$o)>$o))).

thf(def_c_some,definition, (c_some = (l_some@complex))).

thf(typ_c_all,type, (c_all : (($i>$o)>$o))).

thf(def_c_all,definition, (c_all = (all@complex))).

thf(typ_c_one,type, (c_one : (($i>$o)>$o))).

thf(def_c_one,definition, (c_one = (one@complex))).

thf(typ_pli,type, (pli : ($i>$i>$i))).

thf(def_pli,definition, (pli = (pair1@real))).

thf(typ_c_re,type, (c_re : ($i>$i))).

thf(def_c_re,definition, (c_re = (first1@real))).

thf(typ_c_im,type, (c_im : ($i>$i))).

thf(def_c_im,definition, (c_im = (second1@real))).

thf(satz206,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@X0)))).

thf(satz207,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@X1) => (c_is@X1@X0))))))).

thf(satz208,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@X0@X1) => ((c_is@X1@X2) => (c_is@X0@X2)))))))))).

thf(typ_c_0c,type, (c_0c : $i)).

thf(def_c_0c,definition, (c_0c = (pli@r_0@r_0))).

thf(typ_c_1c,type, (c_1c : $i)).

thf(def_c_1c,definition, (c_1c = (pli@d_1rl@r_0))).

thf(typ_c_pl,type, (c_pl : ($i>$i>$i))).

thf(def_c_pl,definition, (c_pl = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_pl@(c_re@X0)@(c_re@X1))@(r_pl@(c_im@X0)@(c_im@X1)))))).

thf(satz209,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X0@X1)@(c_pl@X1@X0))))))).

thf(satz210,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@X0@c_0c)@X0)))).

thf(satz210a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_pl@X0@c_0c))))).

thf(satz210b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@c_0c@X0)@X0)))).

thf(satz210c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_pl@c_0c@X0))))).

thf(satz211,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_pl@X0@X1)@X2)@(c_pl@X0@(c_pl@X1@X2)))))))))).

thf(satz212a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@X2@(pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1)))))))))))).

thf(satz212b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X1@(pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1))))@X0)))))).

thf(satz212c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_some@(^ [X2:$i] : (c_is@(c_pl@X1@X2)@X0)))))))).

thf(satz212,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_one@(^ [X2:$i] : (c_is@(c_pl@X1@X2)@X0)))))))).

thf(typ_c_mn,type, (c_mn : ($i>$i>$i))).

thf(def_c_mn,definition, (c_mn = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1)))))).

thf(satz212d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@X2@(c_mn@X0@X1)))))))))).

thf(satz212e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@(c_mn@X0@X1)@X2))))))))).

thf(satz212f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X2@X1)@X0) => (c_is@X2@(c_mn@X0@X1)))))))))).

thf(satz212g,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X2@X1)@X0) => (c_is@(c_mn@X0@X1)@X2))))))))).

thf(satz212h,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X1@(c_mn@X0@X1))@X0)))))).

thf(satz213a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_mn@X0@X1)@c_0c) => (c_is@X0@X1))))))).

thf(satz213b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@X1) => (c_is@(c_mn@X0@X1)@c_0c))))))).

thf(typ_c_m0,type, (c_m0 : ($i>$i))).

thf(def_c_m0,definition, (c_m0 = (c_mn@c_0c))).

thf(satz214,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(pli@(r_m0@(c_re@X0))@(r_m0@(c_im@X0))))))).

thf(satz214a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(pli@(r_m0@(c_re@X0))@(r_m0@(c_im@X0)))@(c_m0@X0))))).

thf(satz215,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@(c_m0@X0))@X0)))).

thf(satz215a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_m0@(c_m0@X0)))))).

thf(satz215b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@(c_m0@X1)) => (c_is@(c_m0@X0)@X1))))))).

thf(satz215c,conjecture, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@(c_m0@X1)) => (c_is@X1@(c_m0@X0)))))))).

