include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
thf(typ_inf,type, (inf : ($i>$i>$o))).

thf(def_inf,definition, (inf = (esti@frac))).

thf(typ_rat,type, (rat : $i)).

thf(def_rat,definition, (rat = (ect@frac@n_eq))).

thf(typ_rt_is,type, (rt_is : ($i>$i>$o))).

thf(def_rt_is,definition, (rt_is = (e_is@rat))).

thf(typ_rt_nis,type, (rt_nis : ($i>$i>$o))).

thf(def_rt_nis,definition, (rt_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(rt_is@X0@X1))))).

thf(typ_rt_some,type, (rt_some : (($i>$o)>$o))).

thf(def_rt_some,definition, (rt_some = (l_some@rat))).

thf(typ_rt_all,type, (rt_all : (($i>$o)>$o))).

thf(def_rt_all,definition, (rt_all = (all@rat))).

thf(typ_rt_one,type, (rt_one : (($i>$o)>$o))).

thf(def_rt_one,definition, (rt_one = (one@rat))).

thf(typ_rt_in,type, (rt_in : ($i>$i>$o))).

thf(def_rt_in,definition, (rt_in = (esti@rat))).

thf(typ_ratof,type, (ratof : ($i>$i))).

thf(def_ratof,definition, (ratof = (ectelt@frac@n_eq))).

thf(typ_class,type, (class : ($i>$i))).

thf(def_class,definition, (class = (ecect@frac@n_eq))).

thf(typ_fixf,type, (fixf : ($i>$i>$o))).

thf(def_fixf,definition, (fixf = (fixfu2@frac@n_eq))).

thf(typ_indrat,type, (indrat : ($i>$i>$i>$i>$i))).

thf(def_indrat,definition, (indrat = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (indeq2@frac@n_eq@X2@X3@X0@X1)))).

thf(satz78,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (rt_is@X0@X0)))).

thf(satz79,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_is@X0@X1) => (rt_is@X1@X0))))))).

thf(satz80,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@X0@X1) => ((rt_is@X1@X2) => (rt_is@X0@X2)))))))))).

thf(typ_rt_more,type, (rt_more : ($i>$i>$o))).

thf(def_rt_more,definition, (rt_more = (^ [X0:$i] : ^ [X1:$i] : (l_some@frac@(^ [X2:$i] : (l_some@frac@(^ [X3:$i] : (and3@(inf@X2@(class@X0))@(inf@X3@(class@X1))@(moref@X2@X3))))))))).

thf(typ_propm,type, (propm : ($i>$i>$i>$i>$o))).

thf(def_propm,definition, (propm = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (and3@(inf@X2@(class@X0))@(inf@X3@(class@X1))@(moref@X2@X3))))).

thf(typ_rt_less,type, (rt_less : ($i>$i>$o))).

thf(def_rt_less,definition, (rt_less = (^ [X0:$i] : ^ [X1:$i] : (l_some@frac@(^ [X2:$i] : (l_some@frac@(^ [X3:$i] : (and3@(inf@X2@(class@X0))@(inf@X3@(class@X1))@(lessf@X2@X3))))))))).

thf(typ_propl,type, (propl : ($i>$i>$i>$i>$o))).

thf(def_propl,definition, (propl = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (and3@(inf@X2@(class@X0))@(inf@X3@(class@X1))@(lessf@X2@X3))))).

thf(satz81,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (orec3@(rt_is@X0@X1)@(rt_more@X0@X1)@(rt_less@X0@X1))))))).

thf(satz81a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (or3@(rt_is@X0@X1)@(rt_more@X0@X1)@(rt_less@X0@X1))))))).

thf(satz81b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (ec3@(rt_is@X0@X1)@(rt_more@X0@X1)@(rt_less@X0@X1))))))).

thf(satz82,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_less@X1@X0))))))).

thf(satz83,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_less@X0@X1) => (rt_more@X1@X0))))))).

thf(typ_rt_moreis,type, (rt_moreis : ($i>$i>$o))).

thf(def_rt_moreis,definition, (rt_moreis = (^ [X0:$i] : ^ [X1:$i] : (l_or@(rt_more@X0@X1)@(rt_is@X0@X1))))).

thf(typ_rt_lessis,type, (rt_lessis : ($i>$i>$o))).

thf(def_rt_lessis,definition, (rt_lessis = (^ [X0:$i] : ^ [X1:$i] : (l_or@(rt_less@X0@X1)@(rt_is@X0@X1))))).

thf(satz81c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_moreis@X0@X1) => (d_not@(rt_less@X0@X1)))))))).

thf(satz81d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_lessis@X0@X1) => (d_not@(rt_more@X0@X1)))))))).

thf(satz81e,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((d_not@(rt_more@X0@X1)) => (rt_lessis@X0@X1))))))).

thf(satz81f,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((d_not@(rt_less@X0@X1)) => (rt_moreis@X0@X1))))))).

thf(satz81g,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (d_not@(rt_lessis@X0@X1)))))))).

thf(satz81h,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_less@X0@X1) => (d_not@(rt_moreis@X0@X1)))))))).

thf(satz81j,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((d_not@(rt_moreis@X0@X1)) => (rt_less@X0@X1))))))).

thf(satz81k,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((d_not@(rt_lessis@X0@X1)) => (rt_more@X0@X1))))))).

thf(satz84,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_moreis@X0@X1) => (rt_lessis@X1@X0))))))).

thf(satz85,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_lessis@X0@X1) => (rt_moreis@X1@X0))))))).

thf(satz86,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X0@X1) => ((rt_less@X1@X2) => (rt_less@X0@X2)))))))))).

thf(satz87a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_lessis@X0@X1) => ((rt_less@X1@X2) => (rt_less@X0@X2)))))))))).

thf(satz87b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X0@X1) => ((rt_lessis@X1@X2) => (rt_less@X0@X2)))))))))).

thf(satz87c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_moreis@X0@X1) => ((rt_more@X1@X2) => (rt_more@X0@X2)))))))))).

thf(satz87d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X0@X1) => ((rt_moreis@X1@X2) => (rt_more@X0@X2)))))))))).

thf(satz88,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_lessis@X0@X1) => ((rt_lessis@X1@X2) => (rt_lessis@X0@X2)))))))))).

thf(satz89,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (rt_some@(^ [X1:$i] : (rt_more@X1@X0)))))).

thf(satz90,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (rt_some@(^ [X1:$i] : (rt_less@X1@X0)))))).

thf(satz91,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_less@X0@X1) => (rt_some@(^ [X2:$i] : (d_and@(rt_less@X0@X2)@(rt_less@X2@X1)))))))))).

thf(typ_plusfrt,type, (plusfrt : $i)).

thf(def_plusfrt,definition, (plusfrt = (d_Sigma@frac@(^ [X0:$i] : (d_Sigma@frac@(^ [X1:$i] : (ratof@(n_pf@X0@X1)))))))).

thf(typ_rt_pl,type, (rt_pl : ($i>$i>$i))).

thf(def_rt_pl,definition, (rt_pl = (^ [X0:$i] : ^ [X1:$i] : (indrat@X0@X1@rat@plusfrt)))).

thf(satz92,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_is@(rt_pl@X0@X1)@(rt_pl@X1@X0))))))).

thf(satz93,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (rt_is@(rt_pl@(rt_pl@X0@X1)@X2)@(rt_pl@X0@(rt_pl@X1@X2)))))))))).

thf(satz94,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_more@(rt_pl@X0@X1)@X0)))))).

thf(satz94a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_less@X0@(rt_pl@X0@X1))))))).

thf(satz95,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X0@X1) => (rt_more@(rt_pl@X0@X2)@(rt_pl@X1@X2)))))))))).

thf(rt_ispl1,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@X0@X1) => (rt_is@(rt_pl@X0@X2)@(rt_pl@X1@X2)))))))))).

thf(satz96c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X0@X1) => (rt_less@(rt_pl@X0@X2)@(rt_pl@X1@X2)))))))))).

thf(satz96d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X0@X1) => (rt_more@(rt_pl@X2@X0)@(rt_pl@X2@X1)))))))))).

thf(rt_ispl2,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@X0@X1) => (rt_is@(rt_pl@X2@X0)@(rt_pl@X2@X1)))))))))).

thf(satz96f,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X0@X1) => (rt_less@(rt_pl@X2@X0)@(rt_pl@X2@X1)))))))))).

thf(satz97a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@(rt_pl@X0@X2)@(rt_pl@X1@X2)) => (rt_more@X0@X1))))))))).

thf(satz97b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@(rt_pl@X0@X2)@(rt_pl@X1@X2)) => (rt_is@X0@X1))))))))).

thf(satz97c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@(rt_pl@X0@X2)@(rt_pl@X1@X2)) => (rt_less@X0@X1))))))))).

thf(satz98,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_more@X0@X1) => ((rt_more@X2@X3) => (rt_more@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz98a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_less@X0@X1) => ((rt_less@X2@X3) => (rt_less@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz99a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_moreis@X0@X1) => ((rt_more@X2@X3) => (rt_more@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz99b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_more@X0@X1) => ((rt_moreis@X2@X3) => (rt_more@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz99c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_lessis@X0@X1) => ((rt_less@X2@X3) => (rt_less@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz99d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_less@X0@X1) => ((rt_lessis@X2@X3) => (rt_less@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz100,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_moreis@X0@X1) => ((rt_moreis@X2@X3) => (rt_moreis@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz100a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_lessis@X0@X1) => ((rt_lessis@X2@X3) => (rt_lessis@(rt_pl@X0@X2)@(rt_pl@X1@X3))))))))))))).

thf(satz101a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_some@(^ [X2:$i] : (rt_is@(rt_pl@X1@X2)@X0))))))))).

thf(satz101b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_is@(rt_pl@X1@X2)@X0) => ((rt_is@(rt_pl@X1@X3)@X0) => (rt_is@X2@X3)))))))))))).

thf(satz101,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_one@(^ [X2:$i] : (rt_is@(rt_pl@X1@X2)@X0))))))))).

thf(typ_rt_mn,type, (rt_mn : ($i>$i>$i))).

thf(def_rt_mn,definition, (rt_mn = (^ [X0:$i] : ^ [X1:$i] : (ind@rat@(^ [X2:$i] : (rt_is@(rt_pl@X1@X2)@X0)))))).

thf(satz101c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_is@(rt_pl@X1@(rt_mn@X0@X1))@X0))))))).

thf(satz101d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_is@X0@(rt_pl@X1@(rt_mn@X0@X1))))))))).

thf(satz101e,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_is@(rt_pl@(rt_mn@X0@X1)@X1)@X0))))))).

thf(satz101f,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((rt_more@X0@X1) => (rt_is@X0@(rt_pl@(rt_mn@X0@X1)@X1)))))))).

thf(satz101g,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X0@X1) => ((rt_is@(rt_pl@X1@X2)@X0) => (rt_is@X2@(rt_mn@X0@X1))))))))))).

thf(typ_timesfrt,type, (timesfrt : $i)).

thf(def_timesfrt,definition, (timesfrt = (d_Sigma@frac@(^ [X0:$i] : (d_Sigma@frac@(^ [X1:$i] : (ratof@(n_tf@X0@X1)))))))).

thf(typ_rt_ts,type, (rt_ts : ($i>$i>$i))).

thf(def_rt_ts,definition, (rt_ts = (^ [X0:$i] : ^ [X1:$i] : (indrat@X0@X1@rat@timesfrt)))).

thf(satz102,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_is@(rt_ts@X0@X1)@(rt_ts@X1@X0))))))).

thf(satz103,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (rt_is@(rt_ts@(rt_ts@X0@X1)@X2)@(rt_ts@X0@(rt_ts@X1@X2)))))))))).

thf(satz104,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (rt_is@(rt_ts@X0@(rt_pl@X1@X2))@(rt_pl@(rt_ts@X0@X1)@(rt_ts@X0@X2)))))))))).

thf(satz105a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X0@X1) => (rt_more@(rt_ts@X0@X2)@(rt_ts@X1@X2)))))))))).

thf(rt_ists1,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@X0@X1) => (rt_is@(rt_ts@X0@X2)@(rt_ts@X1@X2)))))))))).

thf(satz105c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X0@X1) => (rt_less@(rt_ts@X0@X2)@(rt_ts@X1@X2)))))))))).

thf(satz105d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@X0@X1) => (rt_more@(rt_ts@X2@X0)@(rt_ts@X2@X1)))))))))).

thf(rt_ists2,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@X0@X1) => (rt_is@(rt_ts@X2@X0)@(rt_ts@X2@X1)))))))))).

thf(satz105f,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@X0@X1) => (rt_less@(rt_ts@X2@X0)@(rt_ts@X2@X1)))))))))).

thf(satz106a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_more@(rt_ts@X0@X2)@(rt_ts@X1@X2)) => (rt_more@X0@X1))))))))).

thf(satz106b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@(rt_ts@X0@X2)@(rt_ts@X1@X2)) => (rt_is@X0@X1))))))))).

thf(satz106c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_less@(rt_ts@X0@X2)@(rt_ts@X1@X2)) => (rt_less@X0@X1))))))))).

thf(satz107,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_more@X0@X1) => ((rt_more@X2@X3) => (rt_more@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz107a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_less@X0@X1) => ((rt_less@X2@X3) => (rt_less@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz108a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_moreis@X0@X1) => ((rt_more@X2@X3) => (rt_more@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz108b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_more@X0@X1) => ((rt_moreis@X2@X3) => (rt_more@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz108c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_lessis@X0@X1) => ((rt_less@X2@X3) => (rt_less@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz108d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_less@X0@X1) => ((rt_lessis@X2@X3) => (rt_less@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz109,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_moreis@X0@X1) => ((rt_moreis@X2@X3) => (rt_moreis@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz109a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_lessis@X0@X1) => ((rt_lessis@X2@X3) => (rt_lessis@(rt_ts@X0@X2)@(rt_ts@X1@X3))))))))))))).

thf(satz110a,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_some@(^ [X2:$i] : (rt_is@(rt_ts@X1@X2)@X0)))))))).

thf(satz110b,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@rat))@(^ [X3:$i] : ((rt_is@(rt_ts@X1@X2)@X0) => ((rt_is@(rt_ts@X1@X3)@X0) => (rt_is@X2@X3)))))))))))).

thf(satz110,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_one@(^ [X2:$i] : (rt_is@(rt_ts@X1@X2)@X0)))))))).

thf(satz111a,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((moref@(n_fr@X0@n_1)@(n_fr@X1@n_1)) => (d_29_ii@X0@X1))))))).

thf(satz111b,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((n_eq@(n_fr@X0@n_1)@(n_fr@X1@n_1)) => (n_is@X0@X1))))))).

thf(satz111c,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((lessf@(n_fr@X0@n_1)@(n_fr@X1@n_1)) => (iii@X0@X1))))))).

thf(satz111d,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((d_29_ii@X0@X1) => (moref@(n_fr@X0@n_1)@(n_fr@X1@n_1)))))))).

thf(satz111e,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((n_is@X0@X1) => (n_eq@(n_fr@X0@n_1)@(n_fr@X1@n_1)))))))).

thf(satz111f,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((iii@X0@X1) => (lessf@(n_fr@X0@n_1)@(n_fr@X1@n_1)))))))).

thf(typ_natprop,type, (natprop : ($i>$i>$o))).

thf(def_natprop,definition, (natprop = (^ [X0:$i] : ^ [X1:$i] : (inf@(n_fr@X1@n_1)@(class@X0))))).

thf(typ_natrt,type, (natrt : ($i>$o))).

thf(def_natrt,definition, (natrt = (^ [X0:$i] : (n_some@(natprop@X0))))).

thf(satz111g,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : ((natrt@X0) => (n_one@(natprop@X0)))))).

thf(typ_nofrt,type, (nofrt : ($i>$i))).

thf(def_nofrt,definition, (nofrt = (^ [X0:$i] : (ind@nat@(natprop@X0))))).

thf(typ_rtofn,type, (rtofn : ($i>$i))).

thf(def_rtofn,definition, (rtofn = (^ [X0:$i] : (ratof@(n_fr@X0@n_1))))).

thf(satz112a,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (n_eq@(n_pf@(n_fr@X0@n_1)@(n_fr@X1@n_1))@(n_fr@(n_pl@X0@X1)@n_1))))))).

thf(satz112b,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (n_eq@(n_tf@(n_fr@X0@n_1)@(n_fr@X1@n_1))@(n_fr@(n_ts@X0@X1)@n_1))))))).

thf(satz112c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : ((natrt@X0) => (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((natrt@X1) => (inf@(n_fr@(n_pl@(nofrt@X0)@(nofrt@X1))@n_1)@(class@(rt_pl@X0@X1)))))))))).

thf(satz112d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : ((natrt@X0) => (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((natrt@X1) => (natrt@(rt_pl@X0@X1))))))))).

thf(satz112e,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : ((natrt@X0) => (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((natrt@X1) => (inf@(n_fr@(n_ts@(nofrt@X0)@(nofrt@X1))@n_1)@(class@(rt_ts@X0@X1)))))))))).

thf(satz112f,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : ((natrt@X0) => (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((natrt@X1) => (natrt@(rt_ts@X0@X1))))))))).

thf(satz112g,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : ((natrt@X0) => (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : ((natrt@X1) => ((rt_more@X0@X1) => (natrt@(rt_mn@X0@X1)))))))))).

thf(satz112h,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (rt_is@(rt_pl@(rtofn@X0)@(rtofn@X1))@(rtofn@(n_pl@X0@X1)))))))).

thf(satz112j,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (rt_is@(rt_ts@(rtofn@X0)@(rtofn@X1))@(rtofn@(n_ts@X0@X1)))))))).

thf(typ_natt,type, (natt : $i)).

thf(def_natt,definition, (natt = (d_Sep@rat@natrt))).

thf(typ_ntofrt,type, (ntofrt : ($i>$i))).

thf(def_ntofrt,definition, (ntofrt = (out@rat@natrt))).

thf(typ_nt_is,type, (nt_is : ($i>$i>$o))).

thf(def_nt_is,definition, (nt_is = (e_is@natt))).

thf(typ_nt_nis,type, (nt_nis : ($i>$i>$o))).

thf(def_nt_nis,definition, (nt_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(nt_is@X0@X1))))).

thf(typ_nt_all,type, (nt_all : (($i>$o)>$o))).

thf(def_nt_all,definition, (nt_all = (all@natt))).

thf(typ_nt_some,type, (nt_some : (($i>$o)>$o))).

thf(def_nt_some,definition, (nt_some = (l_some@natt))).

thf(typ_nt_one,type, (nt_one : (($i>$o)>$o))).

thf(def_nt_one,definition, (nt_one = (one@natt))).

thf(typ_nt_in,type, (nt_in : ($i>$i>$o))).

thf(def_nt_in,definition, (nt_in = (esti@natt))).

thf(typ_rtofnt,type, (rtofnt : ($i>$i))).

thf(def_rtofnt,definition, (rtofnt = (e_in@rat@natrt))).

thf(typ_ntofn,type, (ntofn : ($i>$i))).

thf(def_ntofn,definition, (ntofn = (^ [X0:$i] : (ntofrt@(rtofn@X0))))).

thf(typ_nofnt,type, (nofnt : ($i>$i))).

thf(def_nofnt,definition, (nofnt = (^ [X0:$i] : (nofrt@(rtofnt@X0))))).

thf(typ_nt_1t,type, (nt_1t : $i)).

thf(def_nt_1t,definition, (nt_1t = (ntofn@n_1))).

thf(typ_suct,type, (suct : $i)).

thf(def_suct,definition, (suct = (d_Sigma@natt@(^ [X0:$i] : (ntofn@(ordsucc@(nofnt@X0))))))).

thf(satz113a,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (nt_nis@(ap@suct@X0)@nt_1t)))).

thf(satz113b,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : ((nt_is@(ap@suct@X0)@(ap@suct@X1)) => (nt_is@X0@X1))))))).

thf(typ_nt_cond1,type, (nt_cond1 : ($i>$o))).

thf(def_nt_cond1,definition, (nt_cond1 = (nt_in@nt_1t))).

thf(typ_nt_cond2,type, (nt_cond2 : ($i>$o))).

thf(def_nt_cond2,definition, (nt_cond2 = (^ [X0:$i] : (nt_all@(^ [X1:$i] : (imp@(nt_in@X1@X0)@(nt_in@(ap@suct@X1)@X0))))))).

thf(typ_d_5113_prop1,type, (d_5113_prop1 : ($i>$i>$o))).

thf(def_d_5113_prop1,definition, (d_5113_prop1 = (^ [X0:$i] : ^ [X1:$i] : (nt_in@(ntofn@X1)@X0)))).

thf(satz113c,axiom, (all_of@(^ [X0:$i] : (in@X0@(power@natt)))@(^ [X0:$i] : ((nt_cond1@X0) => ((nt_cond2@X0) => (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : (nt_in@X1@X0)))))))).

thf(nt_satz1,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : ((nt_nis@X0@X1) => (nt_nis@(ap@suct@X0)@(ap@suct@X1)))))))).

thf(typ_prop1t,type, (prop1t : ($i>$o))).

thf(def_prop1t,definition, (prop1t = (^ [X0:$i] : (nt_all@(^ [X1:$i] : (nt_is@(ap@X0@(ap@suct@X1))@(ap@suct@(ap@X0@X1)))))))).

thf(typ_prop2t,type, (prop2t : ($i>$i>$o))).

thf(def_prop2t,definition, (prop2t = (^ [X0:$i] : ^ [X1:$i] : (d_and@(nt_is@(ap@X1@nt_1t)@(ap@suct@X0))@(prop1t@X1))))).

thf(typ_d_54_prop2,type, (d_54_prop2 : ($i>$i>$o))).

thf(def_d_54_prop2,definition, (d_54_prop2 = (^ [X0:$i] : ^ [X1:$i] : (d_and@(n_is@(ap@X1@n_1)@(ordsucc@(nofnt@X0)))@(d_24_prop1@X1))))).

thf(typ_d_54_g,type, (d_54_g : ($i>$i))).

thf(def_d_54_g,definition, (d_54_g = (^ [X0:$i] : (d_Sigma@nat@(^ [X1:$i] : (nofnt@(ap@X0@(ntofn@X1)))))))).

thf(typ_d_54_gt,type, (d_54_gt : ($i>$i))).

thf(def_d_54_gt,definition, (d_54_gt = (^ [X0:$i] : (d_Sigma@natt@(^ [X1:$i] : (ntofn@(ap@X0@(nofnt@X1)))))))).

thf(nt_satz4,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (one@(d_Pi@natt@(^ [X1:$i] : natt))@(^ [X1:$i] : (d_and@(nt_is@(ap@X1@nt_1t)@(ap@suct@X0))@(nt_all@(^ [X2:$i] : (nt_is@(ap@X1@(ap@suct@X2))@(ap@suct@(ap@X1@X2))))))))))).

thf(typ_nt_pl,type, (nt_pl : ($i>$i>$i))).

thf(def_nt_pl,definition, (nt_pl = (^ [X0:$i] : ^ [X1:$i] : (ntofrt@(rt_pl@(rtofnt@X0)@(rtofnt@X1)))))).

thf(nt_satz5,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@natt))@(^ [X2:$i] : (nt_is@(nt_pl@(nt_pl@X0@X1)@X2)@(nt_pl@X0@(nt_pl@X1@X2)))))))))).

thf(typ_nt_diffprop,type, (nt_diffprop : ($i>$i>$i>$o))).

thf(def_nt_diffprop,definition, (nt_diffprop = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (nt_is@X0@(nt_pl@X1@X2))))).

thf(typ_iit,type, (iit : ($i>$i>$o))).

thf(def_iit,definition, (iit = (^ [X0:$i] : ^ [X1:$i] : (nt_some@(nt_diffprop@X0@X1))))).

thf(typ_iiit,type, (iiit : ($i>$i>$o))).

thf(def_iiit,definition, (iiit = (^ [X0:$i] : ^ [X1:$i] : (nt_some@(nt_diffprop@X1@X0))))).

thf(typ_d_59_i,type, (d_59_i : ($i>$i>$o))).

thf(def_d_59_i,definition, (d_59_i = (^ [X0:$i] : ^ [X1:$i] : (n_is@(nofnt@X0)@(nofnt@X1))))).

thf(typ_d_59_ii,type, (d_59_ii : ($i>$i>$o))).

thf(def_d_59_ii,definition, (d_59_ii = (^ [X0:$i] : ^ [X1:$i] : (n_some@(diffprop@(nofnt@X0)@(nofnt@X1)))))).

thf(typ_d_59_iii,type, (d_59_iii : ($i>$i>$o))).

thf(def_d_59_iii,definition, (d_59_iii = (^ [X0:$i] : ^ [X1:$i] : (n_some@(diffprop@(nofnt@X1)@(nofnt@X0)))))).

thf(nt_satz9,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : (orec3@(nt_is@X0@X1)@(nt_some@(^ [X2:$i] : (nt_is@X0@(nt_pl@X1@X2))))@(nt_some@(^ [X2:$i] : (nt_is@X1@(nt_pl@X0@X2)))))))))).

thf(typ_nt_more,type, (nt_more : ($i>$i>$o))).

thf(def_nt_more,definition, (nt_more = (^ [X0:$i] : ^ [X1:$i] : (rt_more@(rtofnt@X0)@(rtofnt@X1))))).

thf(typ_nt_less,type, (nt_less : ($i>$i>$o))).

thf(def_nt_less,definition, (nt_less = (^ [X0:$i] : ^ [X1:$i] : (rt_less@(rtofnt@X0)@(rtofnt@X1))))).

thf(typ_nt_moreis,type, (nt_moreis : ($i>$i>$o))).

thf(def_nt_moreis,definition, (nt_moreis = (^ [X0:$i] : ^ [X1:$i] : (rt_moreis@(rtofnt@X0)@(rtofnt@X1))))).

thf(typ_nt_lessis,type, (nt_lessis : ($i>$i>$o))).

thf(def_nt_lessis,definition, (nt_lessis = (^ [X0:$i] : ^ [X1:$i] : (rt_lessis@(rtofnt@X0)@(rtofnt@X1))))).

thf(nt_satz15,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@natt))@(^ [X2:$i] : ((nt_less@X0@X1) => ((nt_less@X1@X2) => (nt_less@X0@X2)))))))))).

thf(nt_satz21,axiom, (all_of@(^ [X0:$i] : (in@X0@natt))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@natt))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@natt))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@natt))@(^ [X3:$i] : ((nt_more@X0@X1) => ((nt_more@X2@X3) => (nt_more@(nt_pl@X0@X2)@(nt_pl@X1@X3))))))))))))).

thf(typ_nt_lb,type, (nt_lb : (($i>$o)>$i>$o))).

thf(def_nt_lb,definition, (nt_lb = (^ [X0:($i>$o)] : ^ [X1:$i] : (nt_all@(^ [X2:$i] : (imp@(X0@X2)@(nt_lessis@X1@X2))))))).

thf(typ_nt_min,type, (nt_min : (($i>$o)>$i>$o))).

thf(def_nt_min,definition, (nt_min = (^ [X0:($i>$o)] : ^ [X1:$i] : (d_and@(nt_lb@X0@X1)@(X0@X1))))).

thf(typ_d_527_q,type, (d_527_q : (($i>$o)>$i>$o))).

thf(def_d_527_q,definition, (d_527_q = (^ [X0:($i>$o)] : ^ [X1:$i] : (X0@(ntofn@X1))))).

thf(nt_satz27,axiom, (! [X0:($i>$o)] : ((nt_some@X0) => (nt_some@(nt_min@X0))))).

thf(typ_d_1rt,type, (d_1rt : $i)).

thf(def_d_1rt,definition, (d_1rt = (rtofn@n_1))).

thf(satz114,axiom, (all_of@(^ [X0:$i] : (in@X0@frac))@(^ [X0:$i] : (rt_is@(rt_ts@(rtofn@(den@X0))@(ratof@X0))@(rtofn@(num@X0)))))).

thf(satz114a,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (rt_is@(rt_ts@(rtofn@X1)@(ratof@(n_fr@X0@X1)))@(rtofn@X0))))))).

thf(typ_rt_ov,type, (rt_ov : ($i>$i>$i))).

thf(def_rt_ov,definition, (rt_ov = (^ [X0:$i] : ^ [X1:$i] : (ind@rat@(^ [X2:$i] : (rt_is@(rt_ts@X1@X2)@X0)))))).

thf(satz110c,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_is@(rt_ts@X1@(rt_ov@X0@X1))@X0)))))).

thf(satz110d,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_is@X0@(rt_ts@X1@(rt_ov@X0@X1)))))))).

thf(satz110e,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_is@(rt_ts@(rt_ov@X0@X1)@X1)@X0)))))).

thf(satz110f,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_is@X0@(rt_ts@(rt_ov@X0@X1)@X1))))))).

thf(satz110g,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@rat))@(^ [X2:$i] : ((rt_is@(rt_ts@X1@X2)@X0) => (rt_is@X2@(rt_ov@X0@X1)))))))))).

thf(satz114b,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (rt_is@(ratof@(n_fr@X0@X1))@(rt_ov@(rtofn@X0)@(rtofn@X1)))))))).

thf(satz114c,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (rt_is@(rt_ov@(rtofn@X0)@(rtofn@X1))@(ratof@(n_fr@X0@X1)))))))).

thf(satz115,axiom, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (n_some@(^ [X2:$i] : (rt_more@(rt_ts@(rtofn@X2)@X0)@X1)))))))).

thf(satz115a,conjecture, (all_of@(^ [X0:$i] : (in@X0@rat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@rat))@(^ [X1:$i] : (rt_some@(^ [X2:$i] : (d_and@(natrt@X2)@(rt_more@(rt_ts@X2@X0)@X1))))))))).

