include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
include('Axioms/LAN001/LAN001^2.ax').
include('Axioms/LAN001/LAN001^3.ax').
include('Axioms/LAN001/LAN001^4.ax').
thf(typ_complex,type, (complex : $i)).

thf(def_complex,definition, (complex = (pair1type@real))).

thf(typ_c_is,type, (c_is : ($i>$i>$o))).

thf(def_c_is,definition, (c_is = (e_is@complex))).

thf(typ_c_nis,type, (c_nis : ($i>$i>$o))).

thf(def_c_nis,definition, (c_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(c_is@X0@X1))))).

thf(typ_c_some,type, (c_some : (($i>$o)>$o))).

thf(def_c_some,definition, (c_some = (l_some@complex))).

thf(typ_c_all,type, (c_all : (($i>$o)>$o))).

thf(def_c_all,definition, (c_all = (all@complex))).

thf(typ_c_one,type, (c_one : (($i>$o)>$o))).

thf(def_c_one,definition, (c_one = (one@complex))).

thf(typ_pli,type, (pli : ($i>$i>$i))).

thf(def_pli,definition, (pli = (pair1@real))).

thf(typ_c_re,type, (c_re : ($i>$i))).

thf(def_c_re,definition, (c_re = (first1@real))).

thf(typ_c_im,type, (c_im : ($i>$i))).

thf(def_c_im,definition, (c_im = (second1@real))).

thf(satz206,conjecture, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@X0)))).

