include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
include('Axioms/LAN001/LAN001^2.ax').
include('Axioms/LAN001/LAN001^3.ax').
include('Axioms/LAN001/LAN001^4.ax').
thf(typ_complex,type, (complex : $i)).

thf(def_complex,definition, (complex = (pair1type@real))).

thf(typ_c_is,type, (c_is : ($i>$i>$o))).

thf(def_c_is,definition, (c_is = (e_is@complex))).

thf(typ_c_nis,type, (c_nis : ($i>$i>$o))).

thf(def_c_nis,definition, (c_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(c_is@X0@X1))))).

thf(typ_c_some,type, (c_some : (($i>$o)>$o))).

thf(def_c_some,definition, (c_some = (l_some@complex))).

thf(typ_c_all,type, (c_all : (($i>$o)>$o))).

thf(def_c_all,definition, (c_all = (all@complex))).

thf(typ_c_one,type, (c_one : (($i>$o)>$o))).

thf(def_c_one,definition, (c_one = (one@complex))).

thf(typ_pli,type, (pli : ($i>$i>$i))).

thf(def_pli,definition, (pli = (pair1@real))).

thf(typ_c_re,type, (c_re : ($i>$i))).

thf(def_c_re,definition, (c_re = (first1@real))).

thf(typ_c_im,type, (c_im : ($i>$i))).

thf(def_c_im,definition, (c_im = (second1@real))).

thf(satz206,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@X0)))).

thf(satz207,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@X1) => (c_is@X1@X0))))))).

thf(satz208,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@X0@X1) => ((c_is@X1@X2) => (c_is@X0@X2)))))))))).

thf(typ_c_0c,type, (c_0c : $i)).

thf(def_c_0c,definition, (c_0c = (pli@r_0@r_0))).

thf(typ_c_1c,type, (c_1c : $i)).

thf(def_c_1c,definition, (c_1c = (pli@d_1rl@r_0))).

thf(typ_c_pl,type, (c_pl : ($i>$i>$i))).

thf(def_c_pl,definition, (c_pl = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_pl@(c_re@X0)@(c_re@X1))@(r_pl@(c_im@X0)@(c_im@X1)))))).

thf(satz209,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X0@X1)@(c_pl@X1@X0))))))).

thf(satz210,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@X0@c_0c)@X0)))).

thf(satz210a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_pl@X0@c_0c))))).

thf(satz210b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@c_0c@X0)@X0)))).

thf(satz210c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_pl@c_0c@X0))))).

thf(satz211,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_pl@X0@X1)@X2)@(c_pl@X0@(c_pl@X1@X2)))))))))).

thf(satz212a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@X2@(pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1)))))))))))).

thf(satz212b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X1@(pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1))))@X0)))))).

thf(satz212c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_some@(^ [X2:$i] : (c_is@(c_pl@X1@X2)@X0)))))))).

thf(satz212,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_one@(^ [X2:$i] : (c_is@(c_pl@X1@X2)@X0)))))))).

thf(typ_c_mn,type, (c_mn : ($i>$i>$i))).

thf(def_c_mn,definition, (c_mn = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1)))))).

thf(satz212d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@X2@(c_mn@X0@X1)))))))))).

thf(satz212e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@(c_mn@X0@X1)@X2))))))))).

thf(satz212f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X2@X1)@X0) => (c_is@X2@(c_mn@X0@X1)))))))))).

thf(satz212g,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X2@X1)@X0) => (c_is@(c_mn@X0@X1)@X2))))))))).

thf(satz212h,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X1@(c_mn@X0@X1))@X0)))))).

thf(satz213a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_mn@X0@X1)@c_0c) => (c_is@X0@X1))))))).

thf(satz213b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@X1) => (c_is@(c_mn@X0@X1)@c_0c))))))).

thf(typ_c_m0,type, (c_m0 : ($i>$i))).

thf(def_c_m0,definition, (c_m0 = (c_mn@c_0c))).

thf(satz214,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(pli@(r_m0@(c_re@X0))@(r_m0@(c_im@X0))))))).

thf(satz214a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(pli@(r_m0@(c_re@X0))@(r_m0@(c_im@X0)))@(c_m0@X0))))).

thf(satz215,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@(c_m0@X0))@X0)))).

thf(satz215a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_m0@(c_m0@X0)))))).

thf(satz215b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@(c_m0@X1)) => (c_is@(c_m0@X0)@X1))))))).

thf(satz215c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@(c_m0@X1)) => (c_is@X1@(c_m0@X0)))))))).

thf(satz215d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_m0@X0)@X1) => (c_is@X0@(c_m0@X1)))))))).

thf(satz215e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_m0@X0)@X1) => (c_is@(c_m0@X1)@X0))))))).

thf(satz216,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@X0@(c_m0@X0))@c_0c)))).

thf(satz216a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@(c_m0@X0)@X0)@c_0c)))).

thf(satz217,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_pl@X0@X1))@(c_pl@(c_m0@X0)@(c_m0@X1)))))))).

thf(satz217a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@(c_m0@X0)@(c_m0@X1))@(c_m0@(c_pl@X0@X1)))))))).

thf(satz218,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@X0@X1)@(c_pl@X0@(c_m0@X1)))))))).

thf(satz218a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X0@(c_m0@X1))@(c_mn@X0@X1))))))).

thf(satz219,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_mn@X0@X1))@(c_mn@X1@X0))))))).

thf(satz219a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@X0@X1)@(c_m0@(c_mn@X1@X0)))))))).

thf(typ_c_ts,type, (c_ts : ($i>$i>$i))).

thf(def_c_ts,definition, (c_ts = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_mn@(r_ts@(c_re@X0)@(c_re@X1))@(r_ts@(c_im@X0)@(c_im@X1)))@(r_pl@(r_ts@(c_re@X0)@(c_im@X1))@(r_ts@(c_im@X0)@(c_re@X1))))))).

thf(typ_rets,type, (rets : ($i>$i>$i))).

thf(def_rets,definition, (rets = (^ [X0:$i] : ^ [X1:$i] : (r_mn@(r_ts@(c_re@X0)@(c_re@X1))@(r_ts@(c_im@X0)@(c_im@X1)))))).

thf(typ_imts,type, (imts : ($i>$i>$i))).

thf(def_imts,definition, (imts = (^ [X0:$i] : ^ [X1:$i] : (r_pl@(r_ts@(c_re@X0)@(c_im@X1))@(r_ts@(c_im@X0)@(c_re@X1)))))).

thf(satz220,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@X1)@(c_ts@X1@X0))))))).

thf(typ_mod2,type, (mod2 : ($i>$i))).

thf(def_mod2,definition, (mod2 = (^ [X0:$i] : (r_pl@(r_ts@(c_re@X0)@(c_re@X0))@(r_ts@(c_im@X0)@(c_im@X0)))))).

thf(typ_re2,type, (re2 : ($i>$i))).

thf(def_re2,definition, (re2 = (^ [X0:$i] : (r_ts@(c_re@X0)@(c_re@X0))))).

thf(typ_im2,type, (im2 : ($i>$i))).

thf(def_im2,definition, (im2 = (^ [X0:$i] : (r_ts@(c_im@X0)@(c_im@X0))))).

thf(satz221a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@c_0c) => (c_is@(c_ts@X0@X1)@c_0c))))))).

thf(satz221b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X1@c_0c) => (c_is@(c_ts@X0@X1)@c_0c))))))).

thf(typ_ii1r,type, (ii1r : ($i>$i>$i))).

thf(def_ii1r,definition, (ii1r = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_im@X0)@(c_im@X1))@(c_re@X1))))).

thf(typ_i1ir,type, (i1ir : ($i>$i>$i))).

thf(def_i1ir,definition, (i1ir = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(r_ts@(c_im@X1)@(c_re@X1)))))).

thf(typ_ir1i,type, (ir1i : ($i>$i>$i))).

thf(def_ir1i,definition, (ir1i = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_im@X0)@(c_re@X1))@(c_im@X1))))).

thf(typ_i1ri,type, (i1ri : ($i>$i>$i))).

thf(def_i1ri,definition, (i1ri = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(r_ts@(c_re@X1)@(c_im@X1)))))).

thf(typ_rr1r,type, (rr1r : ($i>$i>$i))).

thf(def_rr1r,definition, (rr1r = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_re@X0)@(c_re@X1))@(c_re@X1))))).

thf(typ_r1rr,type, (r1rr : ($i>$i>$i))).

thf(def_r1rr,definition, (r1rr = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(r_ts@(c_re@X1)@(c_re@X1)))))).

thf(typ_ri1r,type, (ri1r : ($i>$i>$i))).

thf(def_ri1r,definition, (ri1r = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_re@X1))))).

thf(typ_r1ir,type, (r1ir : ($i>$i>$i))).

thf(def_r1ir,definition, (r1ir = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(r_ts@(c_im@X1)@(c_re@X1)))))).

thf(typ_ri1i,type, (ri1i : ($i>$i>$i))).

thf(def_ri1i,definition, (ri1i = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_im@X1))))).

thf(typ_r1ii,type, (r1ii : ($i>$i>$i))).

thf(def_r1ii,definition, (r1ii = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(r_ts@(c_im@X1)@(c_im@X1)))))).

thf(satz221c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_ts@X0@X1)@c_0c) => (l_or@(c_is@X0@c_0c)@(c_is@X1@c_0c)))))))).

thf(satz221d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X0@c_0c) => ((c_nis@X1@c_0c) => (c_nis@(c_ts@X0@X1)@c_0c)))))))).

thf(satz222,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@X0@c_1c)@X0)))).

thf(satz222a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_ts@X0@c_1c))))).

thf(satz222b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@c_1c@X0)@X0)))).

thf(satz222c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_ts@c_1c@X0))))).

thf(satz223,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@X0@(c_m0@c_1c))@(c_m0@X0))))).

thf(satz223a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(c_ts@X0@(c_m0@c_1c)))))).

thf(satz223b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@(c_m0@c_1c)@X0)@(c_m0@X0))))).

thf(satz223c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(c_ts@(c_m0@c_1c)@X0))))).

thf(typ_rxry,type, (rxry : ($i>$i>$i))).

thf(def_rxry,definition, (rxry = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(c_re@X1))))).

thf(typ_ixiy,type, (ixiy : ($i>$i>$i))).

thf(def_ixiy,definition, (ixiy = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(c_im@X1))))).

thf(typ_rxiy,type, (rxiy : ($i>$i>$i))).

thf(def_rxiy,definition, (rxiy = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(c_im@X1))))).

thf(typ_ixry,type, (ixry : ($i>$i>$i))).

thf(def_ixry,definition, (ixry = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(c_re@X1))))).

thf(satz224a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_m0@X0)@X1)@(c_m0@(c_ts@X0@X1)))))))).

thf(satz224b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@(c_m0@X1))@(c_m0@(c_ts@X0@X1)))))))).

thf(satz224c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_m0@X0)@X1)@(c_ts@X0@(c_m0@X1)))))))).

thf(satz224d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@(c_m0@X1))@(c_ts@(c_m0@X0)@X1))))))).

thf(satz224e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_ts@X0@X1))@(c_ts@(c_m0@X0)@X1))))))).

thf(satz224f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_ts@X0@X1))@(c_ts@X0@(c_m0@X1)))))))).

thf(satz225,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_m0@X0)@(c_m0@X1))@(c_ts@X0@X1))))))).

thf(satz225a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@X1)@(c_ts@(c_m0@X0)@(c_m0@X1)))))))).

thf(typ_rrr,type, (rrr : ($i>$i>$i>$i))).

thf(def_rrr,definition, (rrr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_re@X1))@(c_re@X2))))).

thf(typ_iir,type, (iir : ($i>$i>$i>$i))).

thf(def_iir,definition, (iir = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_im@X1))@(c_re@X2))))).

thf(typ_rii,type, (rii : ($i>$i>$i>$i))).

thf(def_rii,definition, (rii = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_im@X2))))).

thf(typ_iri,type, (iri : ($i>$i>$i>$i))).

thf(def_iri,definition, (iri = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_re@X1))@(c_im@X2))))).

thf(typ_rri,type, (rri : ($i>$i>$i>$i))).

thf(def_rri,definition, (rri = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_re@X1))@(c_im@X2))))).

thf(typ_d_3226_iii,type, (d_3226_iii : ($i>$i>$i>$i))).

thf(def_d_3226_iii,definition, (d_3226_iii = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_im@X1))@(c_im@X2))))).

thf(typ_rir,type, (rir : ($i>$i>$i>$i))).

thf(def_rir,definition, (rir = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_re@X2))))).

thf(typ_irr,type, (irr : ($i>$i>$i>$i))).

thf(def_irr,definition, (irr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_re@X1))@(c_re@X2))))).

thf(typ_rrr1,type, (rrr1 : ($i>$i>$i>$i))).

thf(def_rrr1,definition, (rrr1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rrr@X1@X2@X0)))).

thf(typ_iir1,type, (iir1 : ($i>$i>$i>$i))).

thf(def_iir1,definition, (iir1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (iir@X1@X2@X0)))).

thf(typ_rii1,type, (rii1 : ($i>$i>$i>$i))).

thf(def_rii1,definition, (rii1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rii@X1@X2@X0)))).

thf(typ_iri1,type, (iri1 : ($i>$i>$i>$i))).

thf(def_iri1,definition, (iri1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (iri@X1@X2@X0)))).

thf(typ_rri1,type, (rri1 : ($i>$i>$i>$i))).

thf(def_rri1,definition, (rri1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rri@X1@X2@X0)))).

thf(typ_iii1,type, (iii1 : ($i>$i>$i>$i))).

thf(def_iii1,definition, (iii1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_3226_iii@X1@X2@X0)))).

thf(typ_rir1,type, (rir1 : ($i>$i>$i>$i))).

thf(def_rir1,definition, (rir1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rir@X1@X2@X0)))).

thf(typ_irr1,type, (irr1 : ($i>$i>$i>$i))).

thf(def_irr1,definition, (irr1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (irr@X1@X2@X0)))).

thf(k_3226_t13,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_ts@(c_ts@X0@X1)@X2)@(c_ts@X0@(c_ts@X1@X2)))))))))).

thf(k_3227_t6,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_ts@X0@(c_pl@X1@X2))@(c_pl@(c_ts@X0@X1)@(c_ts@X0@X2)))))))))).

thf(satz228,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_ts@X0@(c_mn@X1@X2))@(c_mn@(c_ts@X0@X1)@(c_ts@X0@X2)))))))))).

thf(satz229b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_is@(c_ts@X1@X2)@X0) => ((c_is@(c_ts@X1@X3)@X0) => (c_is@X2@X3))))))))))))).

thf(typ_d_3229_u,type, (d_3229_u : ($i>$i>$i))).

thf(def_d_3229_u,definition, (d_3229_u = (^ [X0:$i] : ^ [X1:$i] : (c_ts@(pli@(r_ov@(c_re@X1)@(mod2@X1))@(r_m0@(r_ov@(c_im@X1)@(mod2@X1))))@X0)))).

thf(typ_d_3229_dd,type, (d_3229_dd : ($i>$i>$i))).

thf(def_d_3229_dd,definition, (d_3229_dd = (^ [X0:$i] : ^ [X1:$i] : (r_ov@X1@(mod2@X0))))).

thf(satz229a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_some@(^ [X2:$i] : (c_is@(c_ts@X1@X2)@X0))))))))).

thf(satz229,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_one@(^ [X2:$i] : (c_is@(c_ts@X1@X2)@X0))))))))).

thf(typ_c_ov,type, (c_ov : ($i>$i>$i))).

thf(def_c_ov,definition, (c_ov = (^ [X0:$i] : ^ [X1:$i] : (ind@complex@(^ [X2:$i] : (c_is@(c_ts@X1@X2)@X0)))))).

thf(satz229c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ts@X1@(c_ov@X0@X1))@X0))))))).

thf(satz229d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@X0@(c_ts@X1@(c_ov@X0@X1))))))))).

thf(satz229e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ts@(c_ov@X0@X1)@X1)@X0))))))).

thf(satz229f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@X0@(c_ts@(c_ov@X0@X1)@X1)))))))).

thf(satz229g,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X1@X2)@X0) => (c_is@X2@(c_ov@X0@X1))))))))))).

thf(satz229h,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X1@X2)@X0) => (c_is@(c_ov@X0@X1)@X2)))))))))).

thf(satz229j,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X2@X1)@X0) => (c_is@X2@(c_ov@X0@X1))))))))))).

thf(satz229k,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X2@X1)@X0) => (c_is@(c_ov@X0@X1)@X2)))))))))).

thf(satz230,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@(c_mn@X0@X1)@X1)@X0)))))).

thf(satz231,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@(c_pl@X0@X1)@X1)@X0)))))).

thf(satz232,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@X0@(c_mn@X0@X1))@X1)))))).

thf(satz233,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_mn@X0@X1)@X2)@(c_mn@X0@(c_pl@X1@X2)))))))))).

thf(satz234,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X0@X1)@X2)@(c_pl@X0@(c_mn@X1@X2)))))))))).

thf(satz234a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@X0@(c_mn@X1@X2))@(c_mn@(c_pl@X0@X1)@X2))))))))).

thf(satz234b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X0@X1)@X2)@(c_pl@(c_mn@X0@X2)@X1))))))))).

thf(satz234c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_mn@X0@X2)@X1)@(c_mn@(c_pl@X0@X1)@X2))))))))).

thf(satz235,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_mn@X0@X1)@X2)@(c_mn@X0@(c_mn@X1@X2)))))))))).

thf(satz235a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@X0@(c_mn@X1@X2))@(c_pl@(c_mn@X0@X1)@X2))))))))).

thf(satz235b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@X0@(c_mn@X1@X2))@(c_mn@(c_pl@X0@X2)@X1))))))))).

thf(satz235c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@X0@(c_mn@X1@X2))@(c_mn@(c_pl@X2@X0)@X1))))))))).

thf(satz236,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X0@X2)@(c_pl@X1@X2))@(c_mn@X0@X1))))))))).

thf(satz236a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X2@X0)@(c_pl@X2@X1))@(c_mn@X0@X1))))))))).

thf(satz237,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : (c_is@(c_pl@(c_mn@X0@X1)@(c_mn@X2@X3))@(c_mn@(c_pl@X0@X2)@(c_pl@X1@X3)))))))))))).

thf(satz238,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : (c_is@(c_mn@(c_mn@X0@X1)@(c_mn@X2@X3))@(c_mn@(c_pl@X0@X3)@(c_pl@X1@X2)))))))))))).

thf(satz239a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_is@(c_mn@X0@X1)@(c_mn@X2@X3)) => (c_is@(c_pl@X0@X3)@(c_pl@X1@X2)))))))))))).

thf(satz239b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_is@(c_pl@X0@X3)@(c_pl@X1@X2)) => (c_is@(c_mn@X0@X1)@(c_mn@X2@X3)))))))))))).

thf(satz241,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ov@(c_ts@X0@X1)@X1)@X0))))))).

thf(satz242,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X0@c_0c) => ((c_nis@X1@c_0c) => (c_is@(c_ov@X0@(c_ov@X0@X1))@X1)))))))).

thf(satz243,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ov@X0@X1)@X2)@(c_ov@X0@(c_ts@X1@X2)))))))))))).

thf(satz244,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X0@X1)@X2)@(c_ts@X0@(c_ov@X1@X2))))))))))).

thf(satz244a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ts@X0@(c_ov@X1@X2))@(c_ov@(c_ts@X0@X1)@X2)))))))))).

thf(satz244b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X0@X1)@X2)@(c_ts@(c_ov@X0@X2)@X1)))))))))).

thf(satz244c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ts@(c_ov@X0@X2)@X1)@(c_ov@(c_ts@X0@X1)@X2)))))))))).

thf(satz245,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ts@(c_ov@X0@X1)@X2)@(c_ov@X0@(c_ov@X1@X2)))))))))))).

thf(satz245a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@X0@(c_ov@X1@X2))@(c_ts@(c_ov@X0@X1)@X2))))))))))).

thf(satz245b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@X0@(c_ov@X1@X2))@(c_ov@(c_ts@X0@X2)@X1))))))))))).

thf(satz245c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@X0@(c_ov@X1@X2))@(c_ov@(c_ts@X2@X0)@X1))))))))))).

thf(satz246,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X0@X2)@(c_ts@X1@X2))@(c_ov@X0@X1))))))))))).

thf(satz246a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X2@X0)@(c_ts@X2@X1))@(c_ov@X0@X1))))))))))).

thf(satz247,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_ts@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_ts@X0@X2)@(c_ts@X1@X3)))))))))))))).

thf(satz248,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_ov@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_ts@X0@X3)@(c_ts@X1@X2))))))))))))))).

thf(satz249,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (c_is@(c_ov@c_0c@X0)@c_0c))))).

thf(satz250,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (c_is@(c_ov@X0@X0)@c_1c))))).

thf(satz251a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => ((c_is@X0@X1) => (c_is@(c_ov@X0@X1)@c_1c)))))))).

thf(satz251b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ov@X0@X1)@c_1c) => (c_is@X0@X1)))))))).

thf(satz252a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => ((c_is@(c_ov@X0@X1)@(c_ov@X2@X3)) => (c_is@(c_ts@X0@X3)@(c_ts@X1@X2)))))))))))))).

thf(satz252b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => ((c_is@(c_ts@X0@X3)@(c_ts@X1@X2)) => (c_is@(c_ov@X0@X1)@(c_ov@X2@X3)))))))))))))).

thf(satz253,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => (c_is@(c_pl@(c_ov@X0@X1)@(c_ov@X2@X1))@(c_ov@(c_pl@X0@X2)@X1)))))))))).

thf(satz254,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_pl@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_pl@(c_ts@X0@X3)@(c_ts@X1@X2))@(c_ts@X1@X3)))))))))))))).

thf(satz255,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => (c_is@(c_mn@(c_ov@X0@X1)@(c_ov@X2@X1))@(c_ov@(c_mn@X0@X2)@X1)))))))))).

thf(satz256,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_mn@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_mn@(c_ts@X0@X3)@(c_ts@X1@X2))@(c_ts@X1@X3)))))))))))))).

thf(typ_c_conj,type, (c_conj : ($i>$i))).

thf(def_c_conj,definition, (c_conj = (^ [X0:$i] : (pli@(c_re@X0)@(r_m0@(c_im@X0)))))).

thf(satz257,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_conj@(c_conj@X0))@X0)))).

thf(satz258a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@X0@c_0c) => (c_is@(c_conj@X0)@c_0c))))).

thf(satz258b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@(c_conj@X0)@c_0c) => (c_is@X0@c_0c))))).

thf(satz258c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (c_nis@(c_conj@X0)@c_0c))))).

thf(satz259a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@(c_conj@X0)@X0) => (r_is@(c_im@X0)@r_0))))).

thf(satz259b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((r_is@(c_im@X0)@r_0) => (c_is@(c_conj@X0)@X0))))).

thf(satz269c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@X0@(c_conj@X0)) => (r_is@(c_im@X0)@r_0))))).

thf(satz269d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((r_is@(c_im@X0)@r_0) => (c_is@X0@(c_conj@X0)))))).

thf(satz260,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_conj@(c_pl@X0@X1))@(c_pl@(c_conj@X0)@(c_conj@X1)))))))).

thf(satz260a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_pl@X0@X1)))))))).

thf(satz261,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_conj@(c_ts@X0@X1))@(c_ts@(c_conj@X0)@(c_conj@X1)))))))).

thf(satz261a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_ts@X0@X1)))))))).

thf(satz262,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_conj@(c_mn@X0@X1))@(c_mn@(c_conj@X0)@(c_conj@X1)))))))).

thf(satz262a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_mn@X0@X1)))))))).

thf(satz263,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_conj@(c_ov@X0@X1))@(c_ov@(c_conj@X0)@(c_conj@X1))))))))).

thf(satz263a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ov@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_ov@X0@X1))))))))).

thf(typ_mod,type, (mod : ($i>$i))).

thf(def_mod,definition, (mod = (^ [X0:$i] : (r_sqrt@(mod2@X0))))).

thf(satz264a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (pos@(mod@X0)))))).

thf(satz264b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@X0@c_0c) => (r_is@(mod@X0)@r_0))))).

thf(satz264c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (d_not@(neg@(mod@X0)))))).

thf(satz264d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_moreis@(mod@X0)@r_0)))).

thf(satz265a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_moreis@(mod@X0)@(abs@(c_re@X0)))))).

thf(satz265b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_moreis@(mod@X0)@(abs@(c_im@X0)))))).

thf(satz266,conjecture, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((c_is@(c_ts@(pli@X0@r_0)@(pli@X0@r_0))@(c_ts@(pli@X1@r_0)@(pli@X1@r_0))) => ((d_not@(neg@X0)) => ((d_not@(neg@X1)) => (r_is@X0@X1))))))))).

