include('Axioms/LAN001/LAN001^0.ax').
include('Axioms/LAN001/LAN001^1.ax').
include('Axioms/LAN001/LAN001^2.ax').
include('Axioms/LAN001/LAN001^3.ax').
include('Axioms/LAN001/LAN001^4.ax').
thf(typ_complex,type, (complex : $i)).

thf(def_complex,definition, (complex = (pair1type@real))).

thf(typ_c_is,type, (c_is : ($i>$i>$o))).

thf(def_c_is,definition, (c_is = (e_is@complex))).

thf(typ_c_nis,type, (c_nis : ($i>$i>$o))).

thf(def_c_nis,definition, (c_nis = (^ [X0:$i] : ^ [X1:$i] : (d_not@(c_is@X0@X1))))).

thf(typ_c_some,type, (c_some : (($i>$o)>$o))).

thf(def_c_some,definition, (c_some = (l_some@complex))).

thf(typ_c_all,type, (c_all : (($i>$o)>$o))).

thf(def_c_all,definition, (c_all = (all@complex))).

thf(typ_c_one,type, (c_one : (($i>$o)>$o))).

thf(def_c_one,definition, (c_one = (one@complex))).

thf(typ_pli,type, (pli : ($i>$i>$i))).

thf(def_pli,definition, (pli = (pair1@real))).

thf(typ_c_re,type, (c_re : ($i>$i))).

thf(def_c_re,definition, (c_re = (first1@real))).

thf(typ_c_im,type, (c_im : ($i>$i))).

thf(def_c_im,definition, (c_im = (second1@real))).

thf(satz206,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@X0)))).

thf(satz207,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@X1) => (c_is@X1@X0))))))).

thf(satz208,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@X0@X1) => ((c_is@X1@X2) => (c_is@X0@X2)))))))))).

thf(typ_c_0c,type, (c_0c : $i)).

thf(def_c_0c,definition, (c_0c = (pli@r_0@r_0))).

thf(typ_c_1c,type, (c_1c : $i)).

thf(def_c_1c,definition, (c_1c = (pli@d_1rl@r_0))).

thf(typ_c_pl,type, (c_pl : ($i>$i>$i))).

thf(def_c_pl,definition, (c_pl = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_pl@(c_re@X0)@(c_re@X1))@(r_pl@(c_im@X0)@(c_im@X1)))))).

thf(satz209,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X0@X1)@(c_pl@X1@X0))))))).

thf(satz210,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@X0@c_0c)@X0)))).

thf(satz210a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_pl@X0@c_0c))))).

thf(satz210b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@c_0c@X0)@X0)))).

thf(satz210c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_pl@c_0c@X0))))).

thf(satz211,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_pl@X0@X1)@X2)@(c_pl@X0@(c_pl@X1@X2)))))))))).

thf(satz212a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@X2@(pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1)))))))))))).

thf(satz212b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X1@(pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1))))@X0)))))).

thf(satz212c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_some@(^ [X2:$i] : (c_is@(c_pl@X1@X2)@X0)))))))).

thf(satz212,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_one@(^ [X2:$i] : (c_is@(c_pl@X1@X2)@X0)))))))).

thf(typ_c_mn,type, (c_mn : ($i>$i>$i))).

thf(def_c_mn,definition, (c_mn = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_mn@(c_re@X0)@(c_re@X1))@(r_mn@(c_im@X0)@(c_im@X1)))))).

thf(satz212d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@X2@(c_mn@X0@X1)))))))))).

thf(satz212e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X1@X2)@X0) => (c_is@(c_mn@X0@X1)@X2))))))))).

thf(satz212f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X2@X1)@X0) => (c_is@X2@(c_mn@X0@X1)))))))))).

thf(satz212g,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_is@(c_pl@X2@X1)@X0) => (c_is@(c_mn@X0@X1)@X2))))))))).

thf(satz212h,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X1@(c_mn@X0@X1))@X0)))))).

thf(satz213a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_mn@X0@X1)@c_0c) => (c_is@X0@X1))))))).

thf(satz213b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@X1) => (c_is@(c_mn@X0@X1)@c_0c))))))).

thf(typ_c_m0,type, (c_m0 : ($i>$i))).

thf(def_c_m0,definition, (c_m0 = (c_mn@c_0c))).

thf(satz214,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(pli@(r_m0@(c_re@X0))@(r_m0@(c_im@X0))))))).

thf(satz214a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(pli@(r_m0@(c_re@X0))@(r_m0@(c_im@X0)))@(c_m0@X0))))).

thf(satz215,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@(c_m0@X0))@X0)))).

thf(satz215a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_m0@(c_m0@X0)))))).

thf(satz215b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@(c_m0@X1)) => (c_is@(c_m0@X0)@X1))))))).

thf(satz215c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@(c_m0@X1)) => (c_is@X1@(c_m0@X0)))))))).

thf(satz215d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_m0@X0)@X1) => (c_is@X0@(c_m0@X1)))))))).

thf(satz215e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_m0@X0)@X1) => (c_is@(c_m0@X1)@X0))))))).

thf(satz216,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@X0@(c_m0@X0))@c_0c)))).

thf(satz216a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_pl@(c_m0@X0)@X0)@c_0c)))).

thf(satz217,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_pl@X0@X1))@(c_pl@(c_m0@X0)@(c_m0@X1)))))))).

thf(satz217a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@(c_m0@X0)@(c_m0@X1))@(c_m0@(c_pl@X0@X1)))))))).

thf(satz218,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@X0@X1)@(c_pl@X0@(c_m0@X1)))))))).

thf(satz218a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@X0@(c_m0@X1))@(c_mn@X0@X1))))))).

thf(satz219,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_mn@X0@X1))@(c_mn@X1@X0))))))).

thf(satz219a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@X0@X1)@(c_m0@(c_mn@X1@X0)))))))).

thf(typ_c_ts,type, (c_ts : ($i>$i>$i))).

thf(def_c_ts,definition, (c_ts = (^ [X0:$i] : ^ [X1:$i] : (pli@(r_mn@(r_ts@(c_re@X0)@(c_re@X1))@(r_ts@(c_im@X0)@(c_im@X1)))@(r_pl@(r_ts@(c_re@X0)@(c_im@X1))@(r_ts@(c_im@X0)@(c_re@X1))))))).

thf(typ_rets,type, (rets : ($i>$i>$i))).

thf(def_rets,definition, (rets = (^ [X0:$i] : ^ [X1:$i] : (r_mn@(r_ts@(c_re@X0)@(c_re@X1))@(r_ts@(c_im@X0)@(c_im@X1)))))).

thf(typ_imts,type, (imts : ($i>$i>$i))).

thf(def_imts,definition, (imts = (^ [X0:$i] : ^ [X1:$i] : (r_pl@(r_ts@(c_re@X0)@(c_im@X1))@(r_ts@(c_im@X0)@(c_re@X1)))))).

thf(satz220,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@X1)@(c_ts@X1@X0))))))).

thf(typ_mod2,type, (mod2 : ($i>$i))).

thf(def_mod2,definition, (mod2 = (^ [X0:$i] : (r_pl@(r_ts@(c_re@X0)@(c_re@X0))@(r_ts@(c_im@X0)@(c_im@X0)))))).

thf(typ_re2,type, (re2 : ($i>$i))).

thf(def_re2,definition, (re2 = (^ [X0:$i] : (r_ts@(c_re@X0)@(c_re@X0))))).

thf(typ_im2,type, (im2 : ($i>$i))).

thf(def_im2,definition, (im2 = (^ [X0:$i] : (r_ts@(c_im@X0)@(c_im@X0))))).

thf(satz221a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X0@c_0c) => (c_is@(c_ts@X0@X1)@c_0c))))))).

thf(satz221b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@X1@c_0c) => (c_is@(c_ts@X0@X1)@c_0c))))))).

thf(typ_ii1r,type, (ii1r : ($i>$i>$i))).

thf(def_ii1r,definition, (ii1r = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_im@X0)@(c_im@X1))@(c_re@X1))))).

thf(typ_i1ir,type, (i1ir : ($i>$i>$i))).

thf(def_i1ir,definition, (i1ir = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(r_ts@(c_im@X1)@(c_re@X1)))))).

thf(typ_ir1i,type, (ir1i : ($i>$i>$i))).

thf(def_ir1i,definition, (ir1i = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_im@X0)@(c_re@X1))@(c_im@X1))))).

thf(typ_i1ri,type, (i1ri : ($i>$i>$i))).

thf(def_i1ri,definition, (i1ri = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(r_ts@(c_re@X1)@(c_im@X1)))))).

thf(typ_rr1r,type, (rr1r : ($i>$i>$i))).

thf(def_rr1r,definition, (rr1r = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_re@X0)@(c_re@X1))@(c_re@X1))))).

thf(typ_r1rr,type, (r1rr : ($i>$i>$i))).

thf(def_r1rr,definition, (r1rr = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(r_ts@(c_re@X1)@(c_re@X1)))))).

thf(typ_ri1r,type, (ri1r : ($i>$i>$i))).

thf(def_ri1r,definition, (ri1r = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_re@X1))))).

thf(typ_r1ir,type, (r1ir : ($i>$i>$i))).

thf(def_r1ir,definition, (r1ir = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(r_ts@(c_im@X1)@(c_re@X1)))))).

thf(typ_ri1i,type, (ri1i : ($i>$i>$i))).

thf(def_ri1i,definition, (ri1i = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_im@X1))))).

thf(typ_r1ii,type, (r1ii : ($i>$i>$i))).

thf(def_r1ii,definition, (r1ii = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(r_ts@(c_im@X1)@(c_im@X1)))))).

thf(satz221c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_ts@X0@X1)@c_0c) => (l_or@(c_is@X0@c_0c)@(c_is@X1@c_0c)))))))).

thf(satz221d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X0@c_0c) => ((c_nis@X1@c_0c) => (c_nis@(c_ts@X0@X1)@c_0c)))))))).

thf(satz222,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@X0@c_1c)@X0)))).

thf(satz222a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_ts@X0@c_1c))))).

thf(satz222b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@c_1c@X0)@X0)))).

thf(satz222c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@X0@(c_ts@c_1c@X0))))).

thf(satz223,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@X0@(c_m0@c_1c))@(c_m0@X0))))).

thf(satz223a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(c_ts@X0@(c_m0@c_1c)))))).

thf(satz223b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@(c_m0@c_1c)@X0)@(c_m0@X0))))).

thf(satz223c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_m0@X0)@(c_ts@(c_m0@c_1c)@X0))))).

thf(typ_rxry,type, (rxry : ($i>$i>$i))).

thf(def_rxry,definition, (rxry = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(c_re@X1))))).

thf(typ_ixiy,type, (ixiy : ($i>$i>$i))).

thf(def_ixiy,definition, (ixiy = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(c_im@X1))))).

thf(typ_rxiy,type, (rxiy : ($i>$i>$i))).

thf(def_rxiy,definition, (rxiy = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_re@X0)@(c_im@X1))))).

thf(typ_ixry,type, (ixry : ($i>$i>$i))).

thf(def_ixry,definition, (ixry = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(c_im@X0)@(c_re@X1))))).

thf(satz224a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_m0@X0)@X1)@(c_m0@(c_ts@X0@X1)))))))).

thf(satz224b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@(c_m0@X1))@(c_m0@(c_ts@X0@X1)))))))).

thf(satz224c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_m0@X0)@X1)@(c_ts@X0@(c_m0@X1)))))))).

thf(satz224d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@(c_m0@X1))@(c_ts@(c_m0@X0)@X1))))))).

thf(satz224e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_ts@X0@X1))@(c_ts@(c_m0@X0)@X1))))))).

thf(satz224f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_m0@(c_ts@X0@X1))@(c_ts@X0@(c_m0@X1)))))))).

thf(satz225,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_m0@X0)@(c_m0@X1))@(c_ts@X0@X1))))))).

thf(satz225a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@X0@X1)@(c_ts@(c_m0@X0)@(c_m0@X1)))))))).

thf(typ_rrr,type, (rrr : ($i>$i>$i>$i))).

thf(def_rrr,definition, (rrr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_re@X1))@(c_re@X2))))).

thf(typ_iir,type, (iir : ($i>$i>$i>$i))).

thf(def_iir,definition, (iir = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_im@X1))@(c_re@X2))))).

thf(typ_rii,type, (rii : ($i>$i>$i>$i))).

thf(def_rii,definition, (rii = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_im@X2))))).

thf(typ_iri,type, (iri : ($i>$i>$i>$i))).

thf(def_iri,definition, (iri = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_re@X1))@(c_im@X2))))).

thf(typ_rri,type, (rri : ($i>$i>$i>$i))).

thf(def_rri,definition, (rri = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_re@X1))@(c_im@X2))))).

thf(typ_d_3226_iii,type, (d_3226_iii : ($i>$i>$i>$i))).

thf(def_d_3226_iii,definition, (d_3226_iii = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_im@X1))@(c_im@X2))))).

thf(typ_rir,type, (rir : ($i>$i>$i>$i))).

thf(def_rir,definition, (rir = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_re@X0)@(c_im@X1))@(c_re@X2))))).

thf(typ_irr,type, (irr : ($i>$i>$i>$i))).

thf(def_irr,definition, (irr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (r_ts@(r_ts@(c_im@X0)@(c_re@X1))@(c_re@X2))))).

thf(typ_rrr1,type, (rrr1 : ($i>$i>$i>$i))).

thf(def_rrr1,definition, (rrr1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rrr@X1@X2@X0)))).

thf(typ_iir1,type, (iir1 : ($i>$i>$i>$i))).

thf(def_iir1,definition, (iir1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (iir@X1@X2@X0)))).

thf(typ_rii1,type, (rii1 : ($i>$i>$i>$i))).

thf(def_rii1,definition, (rii1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rii@X1@X2@X0)))).

thf(typ_iri1,type, (iri1 : ($i>$i>$i>$i))).

thf(def_iri1,definition, (iri1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (iri@X1@X2@X0)))).

thf(typ_rri1,type, (rri1 : ($i>$i>$i>$i))).

thf(def_rri1,definition, (rri1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rri@X1@X2@X0)))).

thf(typ_iii1,type, (iii1 : ($i>$i>$i>$i))).

thf(def_iii1,definition, (iii1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_3226_iii@X1@X2@X0)))).

thf(typ_rir1,type, (rir1 : ($i>$i>$i>$i))).

thf(def_rir1,definition, (rir1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rir@X1@X2@X0)))).

thf(typ_irr1,type, (irr1 : ($i>$i>$i>$i))).

thf(def_irr1,definition, (irr1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (irr@X1@X2@X0)))).

thf(k_3226_t13,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_ts@(c_ts@X0@X1)@X2)@(c_ts@X0@(c_ts@X1@X2)))))))))).

thf(k_3227_t6,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_ts@X0@(c_pl@X1@X2))@(c_pl@(c_ts@X0@X1)@(c_ts@X0@X2)))))))))).

thf(satz228,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_ts@X0@(c_mn@X1@X2))@(c_mn@(c_ts@X0@X1)@(c_ts@X0@X2)))))))))).

thf(satz229b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_is@(c_ts@X1@X2)@X0) => ((c_is@(c_ts@X1@X3)@X0) => (c_is@X2@X3))))))))))))).

thf(typ_d_3229_u,type, (d_3229_u : ($i>$i>$i))).

thf(def_d_3229_u,definition, (d_3229_u = (^ [X0:$i] : ^ [X1:$i] : (c_ts@(pli@(r_ov@(c_re@X1)@(mod2@X1))@(r_m0@(r_ov@(c_im@X1)@(mod2@X1))))@X0)))).

thf(typ_d_3229_dd,type, (d_3229_dd : ($i>$i>$i))).

thf(def_d_3229_dd,definition, (d_3229_dd = (^ [X0:$i] : ^ [X1:$i] : (r_ov@X1@(mod2@X0))))).

thf(satz229a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_some@(^ [X2:$i] : (c_is@(c_ts@X1@X2)@X0))))))))).

thf(satz229,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_one@(^ [X2:$i] : (c_is@(c_ts@X1@X2)@X0))))))))).

thf(typ_c_ov,type, (c_ov : ($i>$i>$i))).

thf(def_c_ov,definition, (c_ov = (^ [X0:$i] : ^ [X1:$i] : (ind@complex@(^ [X2:$i] : (c_is@(c_ts@X1@X2)@X0)))))).

thf(satz229c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ts@X1@(c_ov@X0@X1))@X0))))))).

thf(satz229d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@X0@(c_ts@X1@(c_ov@X0@X1))))))))).

thf(satz229e,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ts@(c_ov@X0@X1)@X1)@X0))))))).

thf(satz229f,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@X0@(c_ts@(c_ov@X0@X1)@X1)))))))).

thf(satz229g,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X1@X2)@X0) => (c_is@X2@(c_ov@X0@X1))))))))))).

thf(satz229h,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X1@X2)@X0) => (c_is@(c_ov@X0@X1)@X2)))))))))).

thf(satz229j,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X2@X1)@X0) => (c_is@X2@(c_ov@X0@X1))))))))))).

thf(satz229k,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ts@X2@X1)@X0) => (c_is@(c_ov@X0@X1)@X2)))))))))).

thf(satz230,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@(c_mn@X0@X1)@X1)@X0)))))).

thf(satz231,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@(c_pl@X0@X1)@X1)@X0)))))).

thf(satz232,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@X0@(c_mn@X0@X1))@X1)))))).

thf(satz233,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_mn@X0@X1)@X2)@(c_mn@X0@(c_pl@X1@X2)))))))))).

thf(satz234,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X0@X1)@X2)@(c_pl@X0@(c_mn@X1@X2)))))))))).

thf(satz234a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@X0@(c_mn@X1@X2))@(c_mn@(c_pl@X0@X1)@X2))))))))).

thf(satz234b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X0@X1)@X2)@(c_pl@(c_mn@X0@X2)@X1))))))))).

thf(satz234c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_mn@X0@X2)@X1)@(c_mn@(c_pl@X0@X1)@X2))))))))).

thf(satz235,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_pl@(c_mn@X0@X1)@X2)@(c_mn@X0@(c_mn@X1@X2)))))))))).

thf(satz235a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@X0@(c_mn@X1@X2))@(c_pl@(c_mn@X0@X1)@X2))))))))).

thf(satz235b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@X0@(c_mn@X1@X2))@(c_mn@(c_pl@X0@X2)@X1))))))))).

thf(satz235c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@X0@(c_mn@X1@X2))@(c_mn@(c_pl@X2@X0)@X1))))))))).

thf(satz236,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X0@X2)@(c_pl@X1@X2))@(c_mn@X0@X1))))))))).

thf(satz236a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(c_mn@(c_pl@X2@X0)@(c_pl@X2@X1))@(c_mn@X0@X1))))))))).

thf(satz237,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : (c_is@(c_pl@(c_mn@X0@X1)@(c_mn@X2@X3))@(c_mn@(c_pl@X0@X2)@(c_pl@X1@X3)))))))))))).

thf(satz238,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : (c_is@(c_mn@(c_mn@X0@X1)@(c_mn@X2@X3))@(c_mn@(c_pl@X0@X3)@(c_pl@X1@X2)))))))))))).

thf(satz239a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_is@(c_mn@X0@X1)@(c_mn@X2@X3)) => (c_is@(c_pl@X0@X3)@(c_pl@X1@X2)))))))))))).

thf(satz239b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_is@(c_pl@X0@X3)@(c_pl@X1@X2)) => (c_is@(c_mn@X0@X1)@(c_mn@X2@X3)))))))))))).

thf(satz241,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ov@(c_ts@X0@X1)@X1)@X0))))))).

thf(satz242,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X0@c_0c) => ((c_nis@X1@c_0c) => (c_is@(c_ov@X0@(c_ov@X0@X1))@X1)))))))).

thf(satz243,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ov@X0@X1)@X2)@(c_ov@X0@(c_ts@X1@X2)))))))))))).

thf(satz244,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X0@X1)@X2)@(c_ts@X0@(c_ov@X1@X2))))))))))).

thf(satz244a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ts@X0@(c_ov@X1@X2))@(c_ov@(c_ts@X0@X1)@X2)))))))))).

thf(satz244b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X0@X1)@X2)@(c_ts@(c_ov@X0@X2)@X1)))))))))).

thf(satz244c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X2@c_0c) => (c_is@(c_ts@(c_ov@X0@X2)@X1)@(c_ov@(c_ts@X0@X1)@X2)))))))))).

thf(satz245,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ts@(c_ov@X0@X1)@X2)@(c_ov@X0@(c_ov@X1@X2)))))))))))).

thf(satz245a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@X0@(c_ov@X1@X2))@(c_ts@(c_ov@X0@X1)@X2))))))))))).

thf(satz245b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@X0@(c_ov@X1@X2))@(c_ov@(c_ts@X0@X2)@X1))))))))))).

thf(satz245c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@X0@(c_ov@X1@X2))@(c_ov@(c_ts@X2@X0)@X1))))))))))).

thf(satz246,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X0@X2)@(c_ts@X1@X2))@(c_ov@X0@X1))))))))))).

thf(satz246a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => (c_is@(c_ov@(c_ts@X2@X0)@(c_ts@X2@X1))@(c_ov@X0@X1))))))))))).

thf(satz247,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_ts@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_ts@X0@X2)@(c_ts@X1@X3)))))))))))))).

thf(satz248,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X2@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_ov@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_ts@X0@X3)@(c_ts@X1@X2))))))))))))))).

thf(satz249,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (c_is@(c_ov@c_0c@X0)@c_0c))))).

thf(satz250,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (c_is@(c_ov@X0@X0)@c_1c))))).

thf(satz251a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => ((c_is@X0@X1) => (c_is@(c_ov@X0@X1)@c_1c)))))))).

thf(satz251b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => ((c_is@(c_ov@X0@X1)@c_1c) => (c_is@X0@X1)))))))).

thf(satz252a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => ((c_is@(c_ov@X0@X1)@(c_ov@X2@X3)) => (c_is@(c_ts@X0@X3)@(c_ts@X1@X2)))))))))))))).

thf(satz252b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => ((c_is@(c_ts@X0@X3)@(c_ts@X1@X2)) => (c_is@(c_ov@X0@X1)@(c_ov@X2@X3)))))))))))))).

thf(satz253,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => (c_is@(c_pl@(c_ov@X0@X1)@(c_ov@X2@X1))@(c_ov@(c_pl@X0@X2)@X1)))))))))).

thf(satz254,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_pl@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_pl@(c_ts@X0@X3)@(c_ts@X1@X2))@(c_ts@X1@X3)))))))))))))).

thf(satz255,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : ((c_nis@X1@c_0c) => (c_is@(c_mn@(c_ov@X0@X1)@(c_ov@X2@X1))@(c_ov@(c_mn@X0@X2)@X1)))))))))).

thf(satz256,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : ((c_nis@X1@c_0c) => ((c_nis@X3@c_0c) => (c_is@(c_mn@(c_ov@X0@X1)@(c_ov@X2@X3))@(c_ov@(c_mn@(c_ts@X0@X3)@(c_ts@X1@X2))@(c_ts@X1@X3)))))))))))))).

thf(typ_c_conj,type, (c_conj : ($i>$i))).

thf(def_c_conj,definition, (c_conj = (^ [X0:$i] : (pli@(c_re@X0)@(r_m0@(c_im@X0)))))).

thf(satz257,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_conj@(c_conj@X0))@X0)))).

thf(satz258a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@X0@c_0c) => (c_is@(c_conj@X0)@c_0c))))).

thf(satz258b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@(c_conj@X0)@c_0c) => (c_is@X0@c_0c))))).

thf(satz258c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (c_nis@(c_conj@X0)@c_0c))))).

thf(satz259a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@(c_conj@X0)@X0) => (r_is@(c_im@X0)@r_0))))).

thf(satz259b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((r_is@(c_im@X0)@r_0) => (c_is@(c_conj@X0)@X0))))).

thf(satz269c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@X0@(c_conj@X0)) => (r_is@(c_im@X0)@r_0))))).

thf(satz269d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((r_is@(c_im@X0)@r_0) => (c_is@X0@(c_conj@X0)))))).

thf(satz260,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_conj@(c_pl@X0@X1))@(c_pl@(c_conj@X0)@(c_conj@X1)))))))).

thf(satz260a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_pl@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_pl@X0@X1)))))))).

thf(satz261,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_conj@(c_ts@X0@X1))@(c_ts@(c_conj@X0)@(c_conj@X1)))))))).

thf(satz261a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_ts@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_ts@X0@X1)))))))).

thf(satz262,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_conj@(c_mn@X0@X1))@(c_mn@(c_conj@X0)@(c_conj@X1)))))))).

thf(satz262a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (c_is@(c_mn@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_mn@X0@X1)))))))).

thf(satz263,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_conj@(c_ov@X0@X1))@(c_ov@(c_conj@X0)@(c_conj@X1))))))))).

thf(satz263a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (c_is@(c_ov@(c_conj@X0)@(c_conj@X1))@(c_conj@(c_ov@X0@X1))))))))).

thf(typ_mod,type, (mod : ($i>$i))).

thf(def_mod,definition, (mod = (^ [X0:$i] : (r_sqrt@(mod2@X0))))).

thf(satz264a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_nis@X0@c_0c) => (pos@(mod@X0)))))).

thf(satz264b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : ((c_is@X0@c_0c) => (r_is@(mod@X0)@r_0))))).

thf(satz264c,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (d_not@(neg@(mod@X0)))))).

thf(satz264d,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_moreis@(mod@X0)@r_0)))).

thf(satz265a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_moreis@(mod@X0)@(abs@(c_re@X0)))))).

thf(satz265b,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_moreis@(mod@X0)@(abs@(c_im@X0)))))).

thf(satz266,axiom, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((c_is@(c_ts@(pli@X0@r_0)@(pli@X0@r_0))@(c_ts@(pli@X1@r_0)@(pli@X1@r_0))) => ((d_not@(neg@X0)) => ((d_not@(neg@X1)) => (r_is@X0@X1))))))))).

thf(satz267,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@(pli@(mod@X0)@r_0)@(pli@(mod@X0)@r_0))@(c_ts@X0@(c_conj@X0)))))).

thf(satz267a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (c_is@(c_ts@X0@(c_conj@X0))@(c_ts@(pli@(mod@X0)@r_0)@(pli@(mod@X0)@r_0)))))).

thf(satz268,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (r_is@(mod@(c_ts@X0@X1))@(r_ts@(mod@X0)@(mod@X1)))))))).

thf(satz268a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (r_is@(r_ts@(mod@X0)@(mod@X1))@(mod@(c_ts@X0@X1)))))))).

thf(k_7269_t3,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_nis@X1@c_0c) => (r_is@(mod@(c_ov@X0@X1))@(r_ov@(mod@X0)@(mod@X1))))))))).

thf(satz270,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : ((c_is@(c_pl@X0@X1)@c_1c) => (r_moreis@(r_pl@(mod@X0)@(mod@X1))@d_1rl))))))).

thf(typ_d_7271_fx,type, (d_7271_fx : ($i>$i>$i))).

thf(def_d_7271_fx,definition, (d_7271_fx = (^ [X0:$i] : ^ [X1:$i] : (r_ov@(mod@X0)@(mod@(c_pl@X0@X1)))))).

thf(typ_d_7271_fy,type, (d_7271_fy : ($i>$i>$i))).

thf(def_d_7271_fy,definition, (d_7271_fy = (^ [X0:$i] : ^ [X1:$i] : (r_ov@(mod@X1)@(mod@(c_pl@X0@X1)))))).

thf(typ_prl,type, (prl : ($i>$i>$i))).

thf(def_prl,definition, (prl = (^ [X0:$i] : ^ [X1:$i] : (r_ts@(r_pl@(d_7271_fx@X0@X1)@(d_7271_fy@X0@X1))@(mod@(c_pl@X0@X1)))))).

thf(typ_prr,type, (prr : ($i>$i>$i))).

thf(def_prr,definition, (prr = (^ [X0:$i] : ^ [X1:$i] : (r_ts@d_1rl@(mod@(c_pl@X0@X1)))))).

thf(satz271,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (r_lessis@(mod@(c_pl@X0@X1))@(r_pl@(mod@X0)@(mod@X1)))))))).

thf(k_7271_t11,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (r_moreis@(r_pl@(mod@X0)@(mod@X1))@(mod@(c_pl@X0@X1)))))))).

thf(satz272,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_is@(mod@(c_m0@X0))@(mod@X0))))).

thf(satz272a,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (r_is@(mod@X0)@(mod@(c_m0@X0)))))).

thf(typ_d_7273_sum,type, (d_7273_sum : ($i>$i>$i))).

thf(def_d_7273_sum,definition, (d_7273_sum = (^ [X0:$i] : ^ [X1:$i] : (r_pl@(mod@X1)@(mod@(c_mn@X0@X1)))))).

thf(satz273,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (r_moreis@(mod@(c_mn@X0@X1))@(abs@(r_mn@(mod@X0)@(mod@X1))))))))).

thf(typ_d_8274_prop1,type, (d_8274_prop1 : ($i>$i>$o))).

thf(def_d_8274_prop1,definition, (d_8274_prop1 = (^ [X0:$i] : ^ [X1:$i] : (l_some@(d_Pi@(d_1to@X0)@(^ [X2:$i] : (d_1to@X1)))@(bijective@(d_1to@X0)@(d_1to@X1)))))).

thf(typ_d_8274_prop2,type, (d_8274_prop2 : ($i>$o))).

thf(def_d_8274_prop2,definition, (d_8274_prop2 = (^ [X0:$i] : (n_all@(^ [X1:$i] : (imp@(iii@X0@X1)@(d_not@(d_8274_prop1@X0@X1)))))))).

thf(typ_xxs,type, (xxs : ($i>$i))).

thf(def_xxs,definition, (xxs = (^ [X0:$i] : (xout@(ordsucc@X0))))).

thf(typ_ym1,type, (ym1 : ($i>$i>$i))).

thf(def_ym1,definition, (ym1 = (^ [X0:$i] : ^ [X1:$i] : (n_mn@X1@n_1)))).

thf(typ_d_8274_u2,type, (d_8274_u2 : ($i>$i>$i))).

thf(def_d_8274_u2,definition, (d_8274_u2 = (^ [X0:$i] : ^ [X1:$i] : (outn@(ordsucc@X0)@(inn@X0@X1))))).

thf(typ_d_8274_w1,type, (d_8274_w1 : ($i>$i>$i>$i>$i))).

thf(def_d_8274_w1,definition, (d_8274_w1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (inn@X1@(ap@X2@(d_8274_u2@X0@X3)))))).

thf(typ_d_8274_w2,type, (d_8274_w2 : ($i>$i>$i>$i>$i))).

thf(def_d_8274_w2,definition, (d_8274_w2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (outn@(ym1@X0@X1)@(d_8274_w1@X0@X1@X2@X3))))).

thf(typ_d_8274_f1,type, (d_8274_f1 : ($i>$i>$i>$i))).

thf(def_d_8274_f1,definition, (d_8274_f1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_Sigma@(d_1to@X0)@(d_8274_w2@X0@X1@X2))))).

thf(typ_d_8274_v1,type, (d_8274_v1 : ($i>$i>$i>$i))).

thf(def_d_8274_v1,definition, (d_8274_v1 = (^ [X0:$i] : ^ [X1:$i] : (inn@(ym1@X0@X1))))).

thf(typ_d_8274_v2,type, (d_8274_v2 : ($i>$i>$i>$i))).

thf(def_d_8274_v2,definition, (d_8274_v2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (outn@X1@(d_8274_v1@X0@X1@X2))))).

thf(typ_d_8274_w3,type, (d_8274_w3 : ($i>$i>$i>$i>$i))).

thf(def_d_8274_w3,definition, (d_8274_w3 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (ap@(invf@(d_1to@(ordsucc@X0))@(d_1to@X1)@X2)@(d_8274_v2@X0@X1@X3))))).

thf(typ_d_8274_w4,type, (d_8274_w4 : ($i>$i>$i>$i>$i))).

thf(def_d_8274_w4,definition, (d_8274_w4 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (inn@(ordsucc@X0)@(d_8274_w3@X0@X1@X2@X3))))).

thf(typ_d_8274_w5,type, (d_8274_w5 : ($i>$i>$i>$i>$i))).

thf(def_d_8274_w5,definition, (d_8274_w5 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (outn@X0@(d_8274_w4@X0@X1@X2@X3))))).

thf(typ_d_8274_m0,type, (d_8274_m0 : ($i>$i>$i>$i))).

thf(def_d_8274_m0,definition, (d_8274_m0 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ap@(invf@(d_1to@(ordsucc@X0))@(d_1to@X1)@X2)@(xout@X1))))).

thf(typ_d_8274_f2,type, (d_8274_f2 : ($i>$i>$i>$i))).

thf(def_d_8274_f2,definition, (d_8274_f2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (changef@(d_1to@(ordsucc@X0))@(d_1to@X1)@X2@(d_8274_m0@X0@X1@X2)@(xxs@X0))))).

thf(satz274,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((iii@X0@X1) => (d_not@(l_some@(d_Pi@(d_1to@X0)@(^ [X2:$i] : (d_1to@X1)))@(bijective@(d_1to@X0)@(d_1to@X1)))))))))).

thf(satz274a,axiom, (all_of@(^ [X0:$i] : (in@X0@nat))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : ((iii@X0@X1) => (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X0)@(^ [X3:$i] : (d_1to@X1)))))@(^ [X2:$i] : (d_not@(bijective@(d_1to@X0)@(d_1to@X1)@X2)))))))))).

thf(typ_recprop,type, (recprop : ($i>$i>$i>$i>$o))).

thf(def_recprop,definition, (recprop = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (d_and@(c_is@(ap@X3@(d_1out@X1))@(ap@X2@(d_1out@X1)))@(all_of@(^ [X4:$i] : (in@X4@(d_1to@X1)))@(^ [X4:$i] : ((d_not@(e_is@(d_1to@X1)@X4@(xout@X1))) => (c_is@(ap@X3@(outn@X1@(ordsucc@(inn@X1@X4))))@(ap@(ap@X0@(ap@X3@X4))@(ap@X2@(outn@X1@(ordsucc@(inn@X1@X4))))))))))))).

thf(typ_d_8275_ns,type, (d_8275_ns : ($i>$i>$i))).

thf(def_d_8275_ns,definition, (d_8275_ns = (^ [X0:$i] : ^ [X1:$i] : (outn@X0@(ordsucc@(inn@X0@X1)))))).

thf(typ_d_8275_prop1,type, (d_8275_prop1 : ($i>$i>$i>$o))).

thf(def_d_8275_prop1,definition, (d_8275_prop1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (c_is@(ap@X2@(d_1out@X0))@(ap@X1@(d_1out@X0)))))).

thf(typ_d_8275_prop2,type, (d_8275_prop2 : ($i>$i>$i>$i>$o))).

thf(def_d_8275_prop2,definition, (d_8275_prop2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (all_of@(^ [X4:$i] : (in@X4@(d_1to@X1)))@(^ [X4:$i] : ((d_not@(e_is@(d_1to@X1)@X4@(xout@X1))) => (c_is@(ap@X3@(d_8275_ns@X1@X4))@(ap@(ap@X0@(ap@X3@X4))@(ap@X2@(d_8275_ns@X1@X4)))))))))).

thf(typ_d_8275_prop3,type, (d_8275_prop3 : ($i>$i>$i>$i>$o))).

thf(def_d_8275_prop3,definition, (d_8275_prop3 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (c_is@(ap@X1@(outn@X0@X3))@(ap@X2@(outn@X0@X3)))))).

thf(typ_d_8275_prop4,type, (d_8275_prop4 : ($i>$i>$i>$i>$o))).

thf(def_d_8275_prop4,definition, (d_8275_prop4 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (d_and@(lessis@X3@X0)@((lessis@X3@X0) => (d_8275_prop3@X0@X1@X2@X3)))))).

thf(typ_prop5,type, (prop5 : ($i>$i>$i>$i>$o))).

thf(def_prop5,definition, (prop5 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (l_or@(d_8275_prop4@X0@X1@X2@X3)@(d_29_ii@X3@X0))))).

thf(typ_prop6,type, (prop6 : ($i>$i>$i>$o))).

thf(def_prop6,definition, (prop6 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (l_some@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))@(recprop@X0@X1@X2))))).

thf(typ_prop7,type, (prop7 : ($i>$i>$o))).

thf(def_prop7,definition, (prop7 = (^ [X0:$i] : ^ [X1:$i] : (all@(d_Pi@(d_1to@X1)@(^ [X2:$i] : complex))@(prop6@X0@X1))))).

thf(typ_d_8275_f1,type, (d_8275_f1 : ($i>$i>$i))).

thf(def_d_8275_f1,definition, (d_8275_f1 = (^ [X0:$i] : (left@complex@(ordsucc@X0)@X0)))).

thf(typ_d_8275_g1,type, (d_8275_g1 : ($i>$i>$i>$i))).

thf(def_d_8275_g1,definition, (d_8275_g1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ind@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))@(recprop@X0@X1@(d_8275_f1@X1@X2)))))).

thf(typ_nxs,type, (nxs : ($i>$i>$o))).

thf(def_nxs,definition, (nxs = (^ [X0:$i] : ^ [X1:$i] : (e_is@(d_1to@(ordsucc@X0))@X1@(xout@(ordsucc@X0)))))).

thf(typ_d_8275_n1,type, (d_8275_n1 : ($i>$i>$i))).

thf(def_d_8275_n1,definition, (d_8275_n1 = (^ [X0:$i] : ^ [X1:$i] : (outn@X0@(inn@(ordsucc@X0)@X1))))).

thf(typ_d_8275_b,type, (d_8275_b : ($i>$i>$i>$i>$i))).

thf(def_d_8275_b,definition, (d_8275_b = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (ap@(d_8275_g1@X0@X1@X2)@(d_8275_n1@X1@X3))))).

thf(typ_d_8275_a,type, (d_8275_a : ($i>$i>$i>$i))).

thf(def_d_8275_a,definition, (d_8275_a = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ap@(ap@X0@(ap@(d_8275_g1@X0@X1@X2)@(xout@X1)))@(ap@X2@(xout@(ordsucc@X1))))))).

thf(typ_d_8275_c,type, (d_8275_c : ($i>$i>$i>$i>$i))).

thf(def_d_8275_c,definition, (d_8275_c = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (ite@(nxs@X1@X3)@complex@(if@(nxs@X1@X3)@(d_8275_a@X0@X1@X2)@emptyset)@(if@(d_not@(nxs@X1@X3))@(d_8275_b@X0@X1@X2@X3)@emptyset))))).

thf(typ_d_8275_g2,type, (d_8275_g2 : ($i>$i>$i>$i))).

thf(def_d_8275_g2,definition, (d_8275_g2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_Sigma@(d_1to@(ordsucc@X1))@(d_8275_c@X0@X1@X2))))).

thf(k_8275_t97,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (one@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))@(recprop@X0@X1@X2))))))))).

thf(typ_recf,type, (recf : ($i>$i>$i>$i))).

thf(def_recf,definition, (recf = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ind@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))@(recprop@X0@X1@X2))))).

thf(satz275a,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (recprop@X0@X1@X2@(recf@X0@X1@X2))))))))).

thf(typ_rec,type, (rec : ($i>$i>$i>$i>$i))).

thf(def_rec,definition, (rec = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ap@(recf@X0@X1@X2))))).

thf(satz275b,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (c_is@(rec@X0@X1@X2@(d_1out@X1))@(ap@X2@(d_1out@X1)))))))))).

thf(satz275c,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@(d_1to@X1)))@(^ [X3:$i] : ((d_not@(e_is@(d_1to@X1)@X3@(xout@X1))) => (c_is@(rec@X0@X1@X2@(d_8275_ns@X1@X3))@(ap@(ap@X0@(rec@X0@X1@X2@X3))@(ap@X2@(d_8275_ns@X1@X3)))))))))))))).

thf(satz275d,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@(d_Pi@(d_1to@X1)@(^ [X4:$i] : complex))))@(^ [X3:$i] : ((recprop@X0@X1@X2@X3) => (e_is@(d_Pi@(d_1to@X1)@(^ [X4:$i] : complex))@X3@(recf@X0@X1@X2)))))))))))).

thf(satz275e,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@(d_Pi@(d_1to@X1)@(^ [X4:$i] : complex))))@(^ [X3:$i] : ((recprop@X0@X1@X2@X3) => (all_of@(^ [X4:$i] : (in@X4@(d_1to@X1)))@(^ [X4:$i] : (c_is@(ap@X3@X4)@(rec@X0@X1@X2@X4)))))))))))))).

thf(typ_d_8275_fl,type, (d_8275_fl : ($i>$i>$i>$i))).

thf(def_d_8275_fl,definition, (d_8275_fl = (left@complex))).

thf(typ_rfl,type, (rfl : ($i>$i>$i>$i>$i))).

thf(def_rfl,definition, (rfl = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (left@complex@X1@X2@(recf@X0@X1@X3))))).

thf(satz275f,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@nat))@(^ [X2:$i] : ((lessis@X2@X1) => (all_of@(^ [X3:$i] : (in@X3@(d_Pi@(d_1to@X1)@(^ [X4:$i] : complex))))@(^ [X3:$i] : (e_is@(d_Pi@(d_1to@X2)@(^ [X4:$i] : complex))@(left@complex@X1@X2@(recf@X0@X1@X3))@(recf@X0@X2@(left@complex@X1@X2@X3))))))))))))).

thf(typ_d_8276_x1,type, (d_8276_x1 : ($i>$i))).

thf(def_d_8276_x1,definition, (d_8276_x1 = (^ [X0:$i] : (n_pl@X0@n_1)))).

thf(typ_d_8276_fx,type, (d_8276_fx : ($i>$i>$i))).

thf(def_d_8276_fx,definition, (d_8276_fx = (^ [X0:$i] : (left@complex@(d_8276_x1@X0)@X0)))).

thf(typ_d_8276_f1,type, (d_8276_f1 : ($i>$i>$i))).

thf(def_d_8276_f1,definition, (d_8276_f1 = (^ [X0:$i] : (left@complex@(d_8276_x1@X0)@(ordsucc@X0))))).

thf(typ_f1x,type, (f1x : ($i>$i>$i))).

thf(def_f1x,definition, (f1x = (^ [X0:$i] : ^ [X1:$i] : (d_8275_f1@X0@(d_8276_f1@X0@X1))))).

thf(typ_d_8276_g1,type, (d_8276_g1 : ($i>$i>$i>$i))).

thf(def_d_8276_g1,definition, (d_8276_g1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_8275_g2@X0@X1@(d_8276_f1@X1@X2))))).

thf(typ_g1x,type, (g1x : ($i>$i>$i>$i))).

thf(def_g1x,definition, (g1x = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_8275_g1@X0@X1@(d_8276_f1@X1@X2))))).

thf(typ_d_8276_g,type, (d_8276_g : ($i>$i>$i>$i))).

thf(def_d_8276_g,definition, (d_8276_g = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_8276_x1@X1)@(ordsucc@X1)@(recf@X0@(d_8276_x1@X1)@X2))))).

thf(satz276,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@(n_pl@X1@n_1))@(^ [X3:$i] : complex))))@(^ [X2:$i] : (c_is@(ap@(recf@X0@(n_pl@X1@n_1)@X2)@(xout@(n_pl@X1@n_1)))@(ap@(ap@X0@(ap@(recf@X0@X1@(left@complex@(n_pl@X1@n_1)@X1@X2))@(xout@X1)))@(ap@X2@(xout@(n_pl@X1@n_1)))))))))))).

thf(typ_smpr,type, (smpr : ($i>$i>$i>$i))).

thf(def_smpr,definition, (smpr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (rec@X0@X1@X2@(xout@X1))))).

thf(typ_c_sum,type, (c_sum : ($i>$i>$i))).

thf(def_c_sum,definition, (c_sum = (smpr@(d_Sigma@complex@(^ [X0:$i] : (d_Sigma@complex@(c_pl@X0))))))).

thf(typ_c_prod,type, (c_prod : ($i>$i>$i))).

thf(def_c_prod,definition, (c_prod = (smpr@(d_Sigma@complex@(^ [X0:$i] : (d_Sigma@complex@(c_ts@X0))))))).

thf(satz277,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@(d_Pi@(d_1to@n_1)@(^ [X2:$i] : complex))))@(^ [X1:$i] : (c_is@(smpr@X0@n_1@X1)@(ap@X1@(xout@n_1)))))))).

thf(satz278,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@(n_pl@X1@n_1))@(^ [X3:$i] : complex))))@(^ [X2:$i] : (c_is@(smpr@X0@(n_pl@X1@n_1)@X2)@(ap@(ap@X0@(smpr@X0@X1@(left@complex@(n_pl@X1@n_1)@X1@X2)))@(ap@X2@(xout@(n_pl@X1@n_1)))))))))))).

thf(typ_v8_f0,type, (v8_f0 : ($i>$i>$i>$i))).

thf(def_v8_f0,definition, (v8_f0 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@X0@X2@X1)))).

thf(typ_d_8279_prop1,type, (d_8279_prop1 : ($i>$i>$o))).

thf(def_d_8279_prop1,definition, (d_8279_prop1 = (^ [X0:$i] : ^ [X1:$i] : (c_is@(c_sum@X1@(d_Sigma@(d_1to@X1)@(^ [X2:$i] : X0)))@(c_ts@X0@(pli@(rlofnt@X1)@r_0)))))).

thf(satz279,axiom, (all_of@(^ [X0:$i] : (in@X0@complex))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (c_is@(c_sum@X1@(d_Sigma@(d_1to@X1)@(^ [X2:$i] : X0)))@(c_ts@X0@(pli@(rlofnt@X1)@r_0)))))))).

thf(typ_d_8280_f1,type, (d_8280_f1 : ($i>$i))).

thf(def_d_8280_f1,definition, (d_8280_f1 = (left@complex@n_2@n_1))).

thf(satz280,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@(d_Pi@(d_1to@n_2)@(^ [X2:$i] : complex))))@(^ [X1:$i] : (c_is@(smpr@X0@n_2@X1)@(ap@(ap@X0@(ap@X1@(d_1out@n_2)))@(ap@X1@(xout@n_2))))))))).

thf(typ_assoc,type, (assoc : ($i>$o))).

thf(def_assoc,definition, (assoc = (^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@complex))@(^ [X3:$i] : (c_is@(ap@(ap@X0@(ap@(ap@X0@X1)@X2))@X3)@(ap@(ap@X0@X1)@(ap@(ap@X0@X2)@X3)))))))))))).

thf(typ_d_8281_f1,type, (d_8281_f1 : ($i>$i>$i>$i))).

thf(def_d_8281_f1,definition, (d_8281_f1 = (^ [X0:$i] : ^ [X1:$i] : (left@complex@(n_pl@X0@X1)@X0)))).

thf(typ_d_8281_f2,type, (d_8281_f2 : ($i>$i>$i>$i))).

thf(def_d_8281_f2,definition, (d_8281_f2 = (right@complex))).

thf(typ_d_8281_prop1,type, (d_8281_prop1 : ($i>$i>$i>$i>$o))).

thf(def_d_8281_prop1,definition, (d_8281_prop1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (c_is@(smpr@X0@(n_pl@X1@X2)@X3)@(ap@(ap@X0@(smpr@X0@X1@(d_8281_f1@X1@X2@X3)))@(smpr@X0@X2@(d_8281_f2@X1@X2@X3))))))).

thf(typ_d_8281_prop2,type, (d_8281_prop2 : ($i>$i>$i>$o))).

thf(def_d_8281_prop2,definition, (d_8281_prop2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (all@(d_Pi@(d_1to@(n_pl@X1@X2))@(^ [X3:$i] : complex))@(d_8281_prop1@X0@X1@X2))))).

thf(typ_xpy1,type, (xpy1 : ($i>$i>$i))).

thf(def_xpy1,definition, (xpy1 = (^ [X0:$i] : ^ [X1:$i] : (n_pl@X0@(d_8276_x1@X1))))).

thf(typ_xyp1,type, (xyp1 : ($i>$i>$i))).

thf(def_xyp1,definition, (xyp1 = (^ [X0:$i] : ^ [X1:$i] : (n_pl@(n_pl@X0@X1)@n_1)))).

thf(typ_d_8281_fr,type, (d_8281_fr : ($i>$i>$i>$i))).

thf(def_d_8281_fr,definition, (d_8281_fr = (^ [X0:$i] : ^ [X1:$i] : (left@complex@(xpy1@X0@X1)@(xyp1@X0@X1))))).

thf(typ_frr,type, (frr : ($i>$i>$i>$i))).

thf(def_frr,definition, (frr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(xyp1@X0@X1)@(n_pl@X0@X1)@(d_8281_fr@X0@X1@X2))))).

thf(typ_d_8281_fy,type, (d_8281_fy : ($i>$i>$i>$i))).

thf(def_d_8281_fy,definition, (d_8281_fy = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_8276_x1@X1)@X1@(d_8281_f2@X0@(d_8276_x1@X1)@X2))))).

thf(typ_nyp1,type, (nyp1 : ($i>$i>$i))).

thf(def_nyp1,definition, (nyp1 = (^ [X0:$i] : (left1to@(d_8276_x1@X0)@X0)))).

thf(typ_nxyp1,type, (nxyp1 : ($i>$i>$i>$i))).

thf(def_nxyp1,definition, (nxyp1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left1to@(xyp1@X0@X1)@(n_pl@X0@X1)@(right1to@X0@X1@X2))))).

thf(typ_mxpy,type, (mxpy : ($i>$i>$i>$i))).

thf(def_mxpy,definition, (mxpy = (^ [X0:$i] : ^ [X1:$i] : (left1to@(n_pl@X0@X1)@X0)))).

thf(typ_mxyp1,type, (mxyp1 : ($i>$i>$i>$i))).

thf(def_mxyp1,definition, (mxyp1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left1to@(xyp1@X0@X1)@(n_pl@X0@X1)@(mxpy@X0@X1@X2))))).

thf(satz281,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : ((assoc@X0) => (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@nat))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@(d_Pi@(d_1to@(n_pl@X1@X2))@(^ [X4:$i] : complex))))@(^ [X3:$i] : (c_is@(smpr@X0@(n_pl@X1@X2)@X3)@(ap@(ap@X0@(smpr@X0@X1@(left@complex@(n_pl@X1@X2)@X1@X3)))@(smpr@X0@X2@(right@complex@X1@X2@X3)))))))))))))).

thf(typ_commut,type, (commut : ($i>$o))).

thf(def_commut,definition, (commut = (^ [X0:$i] : (all_of@(^ [X1:$i] : (in@X1@complex))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@complex))@(^ [X2:$i] : (c_is@(ap@(ap@X0@X1)@X2)@(ap@(ap@X0@X2)@X1))))))))).

thf(typ_d_8282_prop1,type, (d_8282_prop1 : ($i>$i>$i>$i>$o))).

thf(def_d_8282_prop1,definition, (d_8282_prop1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (c_is@(smpr@X0@X1@(d_Sigma@(d_1to@X1)@(^ [X4:$i] : (ap@(ap@X0@(ap@X2@X4))@(ap@X3@X4)))))@(ap@(ap@X0@(smpr@X0@X1@X2))@(smpr@X0@X1@X3)))))).

thf(typ_d_8282_prop2,type, (d_8282_prop2 : ($i>$i>$o))).

thf(def_d_8282_prop2,definition, (d_8282_prop2 = (^ [X0:$i] : ^ [X1:$i] : (all@(d_Pi@(d_1to@X1)@(^ [X2:$i] : complex))@(^ [X2:$i] : (all@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))@(d_8282_prop1@X0@X1@X2))))))).

thf(typ_sfx,type, (sfx : ($i>$i>$i>$i))).

thf(def_sfx,definition, (sfx = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (smpr@X0@X1@(left@complex@(d_8276_x1@X1)@X1@X2))))).

thf(typ_d_8282_h,type, (d_8282_h : ($i>$i>$i>$i>$i))).

thf(def_d_8282_h,definition, (d_8282_h = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (d_Sigma@(d_1to@(d_8276_x1@X1))@(^ [X4:$i] : (ap@(ap@X0@(ap@X2@X4))@(ap@X3@X4))))))).

thf(typ_shx,type, (shx : ($i>$i>$i>$i>$i))).

thf(def_shx,definition, (shx = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (smpr@X0@X1@(left@complex@(d_8276_x1@X1)@X1@(d_8282_h@X0@X1@X2@X3)))))).

thf(satz282,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : ((assoc@X0) => ((commut@X0) => (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))))@(^ [X2:$i] : (all_of@(^ [X3:$i] : (in@X3@(d_Pi@(d_1to@X1)@(^ [X4:$i] : complex))))@(^ [X3:$i] : (c_is@(smpr@X0@X1@(d_Sigma@(d_1to@X1)@(^ [X4:$i] : (ap@(ap@X0@(ap@X2@X4))@(ap@X3@X4)))))@(ap@(ap@X0@(smpr@X0@X1@X2))@(smpr@X0@X1@X3)))))))))))))).

thf(typ_d_8283_g,type, (d_8283_g : ($i>$i>$i>$i))).

thf(def_d_8283_g,definition, (d_8283_g = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_Sigma@(d_1to@X0)@(^ [X3:$i] : (ap@X2@(ap@X1@X3))))))).

thf(typ_d_8283_prop1,type, (d_8283_prop1 : ($i>$i>$i>$i>$o))).

thf(def_d_8283_prop1,definition, (d_8283_prop1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (c_is@(smpr@X0@X1@(d_8283_g@X1@X2@X3))@(smpr@X0@X1@X3))))).

thf(typ_d_8283_prop2,type, (d_8283_prop2 : ($i>$i>$o))).

thf(def_d_8283_prop2,definition, (d_8283_prop2 = (^ [X0:$i] : ^ [X1:$i] : (all@(d_Pi@(d_1to@X1)@(^ [X2:$i] : (d_1to@X1)))@(^ [X2:$i] : (all@(d_Pi@(d_1to@X1)@(^ [X3:$i] : complex))@(^ [X3:$i] : (imp@(bijective@(d_1to@X1)@(d_1to@X1)@X2)@(d_8283_prop1@X0@X1@X2@X3))))))))).

thf(typ_d_8283_n1,type, (d_8283_n1 : ($i>$i>$i>$i))).

thf(def_d_8283_n1,definition, (d_8283_n1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (inn@(d_8276_x1@X0)@(ap@X1@(nyp1@X0@X2)))))).

thf(typ_d_8283_w1,type, (d_8283_w1 : ($i>$i>$i>$i))).

thf(def_d_8283_w1,definition, (d_8283_w1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (outn@X0@(d_8283_n1@X0@X1@X2))))).

thf(typ_d_8283_s01,type, (d_8283_s01 : ($i>$i>$i))).

thf(def_d_8283_s01,definition, (d_8283_s01 = (^ [X0:$i] : ^ [X1:$i] : (d_Sigma@(d_1to@X0)@(d_8283_w1@X0@X1))))).

thf(typ_d_8283_u2,type, (d_8283_u2 : ($i>$i>$i>$i))).

thf(def_d_8283_u2,definition, (d_8283_u2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ap@(invf@(d_1to@(d_8276_x1@X0))@(d_1to@(d_8276_x1@X0))@X1)@(nyp1@X0@X2))))).

thf(typ_d_8283_n2,type, (d_8283_n2 : ($i>$i>$i>$i))).

thf(def_d_8283_n2,definition, (d_8283_n2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (inn@(d_8276_x1@X0)@(d_8283_u2@X0@X1@X2))))).

thf(typ_d_8283_w2,type, (d_8283_w2 : ($i>$i>$i>$i))).

thf(def_d_8283_w2,definition, (d_8283_w2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (outn@X0@(d_8283_n2@X0@X1@X2))))).

thf(typ_d_8283_g1,type, (d_8283_g1 : ($i>$i>$i>$i))).

thf(def_d_8283_g1,definition, (d_8283_g1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_8276_x1@X0)@X0@(d_8283_g@(d_8276_x1@X0)@X1@X2))))).

thf(typ_d_8283_g2,type, (d_8283_g2 : ($i>$i>$i>$i))).

thf(def_d_8283_g2,definition, (d_8283_g2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_8283_g@X0@(d_8283_s01@X0@X1)@(d_8276_fx@X0@X2))))).

thf(typ_d_1px,type, (d_1px : ($i>$i))).

thf(def_d_1px,definition, (d_1px = (n_pl@n_1))).

thf(typ_d_8283_u3,type, (d_8283_u3 : ($i>$i>$i))).

thf(def_d_8283_u3,definition, (d_8283_u3 = (right1to@n_1))).

thf(typ_d_8283_s02,type, (d_8283_s02 : ($i>$i>$i))).

thf(def_d_8283_s02,definition, (d_8283_s02 = (^ [X0:$i] : (left@(d_1to@(d_8276_x1@X0))@(d_8276_x1@X0)@(d_1px@X0))))).

thf(typ_d_8283_n3,type, (d_8283_n3 : ($i>$i>$i>$i))).

thf(def_d_8283_n3,definition, (d_8283_n3 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (inn@(d_8276_x1@X0)@(ap@(d_8283_s02@X0@X1)@(d_8283_u3@X0@X2)))))).

thf(typ_nm1,type, (nm1 : ($i>$i>$i>$i))).

thf(def_nm1,definition, (nm1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (n_mn@(d_8283_n3@X0@X1@X2)@n_1)))).

thf(typ_d_8283_w3,type, (d_8283_w3 : ($i>$i>$i>$i))).

thf(def_d_8283_w3,definition, (d_8283_w3 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (outn@X0@(nm1@X0@X1@X2))))).

thf(typ_s03,type, (s03 : ($i>$i>$i))).

thf(def_s03,definition, (s03 = (^ [X0:$i] : ^ [X1:$i] : (d_Sigma@(d_1to@X0)@(d_8283_w3@X0@X1))))).

thf(typ_s04,type, (s04 : ($i>$i>$i))).

thf(def_s04,definition, (s04 = (^ [X0:$i] : ^ [X1:$i] : (left@(d_1to@(d_8276_x1@X0))@(d_8276_x1@X0)@(d_1px@X0)@(invf@(d_1to@(d_8276_x1@X0))@(d_1to@(d_8276_x1@X0))@X1))))).

thf(typ_d_8283_u4,type, (d_8283_u4 : ($i>$i>$i>$i))).

thf(def_d_8283_u4,definition, (d_8283_u4 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (ap@(s04@X0@X1)@(d_8283_u3@X0@X2))))).

thf(typ_d_8283_n4,type, (d_8283_n4 : ($i>$i>$i>$i))).

thf(def_d_8283_n4,definition, (d_8283_n4 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (inn@(d_8276_x1@X0)@(d_8283_u4@X0@X1@X2))))).

thf(typ_nm2,type, (nm2 : ($i>$i>$i>$i))).

thf(def_nm2,definition, (nm2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (n_mn@(d_8283_n4@X0@X1@X2)@n_1)))).

thf(typ_d_8283_w4,type, (d_8283_w4 : ($i>$i>$i>$i))).

thf(def_d_8283_w4,definition, (d_8283_w4 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (outn@X0@(nm2@X0@X1@X2))))).

thf(typ_f02,type, (f02 : ($i>$i>$i))).

thf(def_f02,definition, (f02 = (^ [X0:$i] : (left@complex@(d_8276_x1@X0)@(d_1px@X0))))).

thf(typ_f03,type, (f03 : ($i>$i>$i))).

thf(def_f03,definition, (f03 = (^ [X0:$i] : ^ [X1:$i] : (right@complex@n_1@X0@(f02@X0@X1))))).

thf(typ_d_8283_g3,type, (d_8283_g3 : ($i>$i>$i>$i))).

thf(def_d_8283_g3,definition, (d_8283_g3 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_8276_x1@X0)@(d_1px@X0)@(d_8283_g@(d_8276_x1@X0)@X1@X2))))).

thf(typ_d_8283_g4,type, (d_8283_g4 : ($i>$i>$i>$i))).

thf(def_d_8283_g4,definition, (d_8283_g4 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (right@complex@n_1@X0@(d_8283_g3@X0@X1@X2))))).

thf(typ_d_8283_g5,type, (d_8283_g5 : ($i>$i>$i>$i))).

thf(def_d_8283_g5,definition, (d_8283_g5 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (d_8283_g@X0@(s03@X0@X1)@(f03@X0@X2))))).

thf(typ_d_8283_g6,type, (d_8283_g6 : ($i>$i>$i>$i))).

thf(def_d_8283_g6,definition, (d_8283_g6 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_1px@X0)@n_1@(d_8283_g3@X0@X1@X2))))).

thf(typ_f04,type, (f04 : ($i>$i>$i))).

thf(def_f04,definition, (f04 = (^ [X0:$i] : ^ [X1:$i] : (left@complex@(d_1px@X0)@n_1@(f02@X0@X1))))).

thf(typ_d_8283_1d,type, (d_8283_1d : ($i>$i))).

thf(def_d_8283_1d,definition, (d_8283_1d = (^ [X0:$i] : (left1to@(d_1px@X0)@n_1@(xout@n_1))))).

thf(typ_d_8283_1e,type, (d_8283_1e : ($i>$i))).

thf(def_d_8283_1e,definition, (d_8283_1e = (^ [X0:$i] : (left1to@(d_8276_x1@X0)@(d_1px@X0)@(d_8283_1d@X0))))).

thf(typ_d_8283_a0,type, (d_8283_a0 : ($i>$i>$i))).

thf(def_d_8283_a0,definition, (d_8283_a0 = (^ [X0:$i] : ^ [X1:$i] : (ap@X1@(d_1out@(d_8276_x1@X0)))))).

thf(typ_d_8283_b0,type, (d_8283_b0 : ($i>$i>$i))).

thf(def_d_8283_b0,definition, (d_8283_b0 = (^ [X0:$i] : ^ [X1:$i] : (ap@(invf@(d_1to@(d_8276_x1@X0))@(d_1to@(d_8276_x1@X0))@X1)@(d_1out@(d_8276_x1@X0)))))).

thf(typ_d_8283_s1,type, (d_8283_s1 : ($i>$i>$i))).

thf(def_d_8283_s1,definition, (d_8283_s1 = (^ [X0:$i] : ^ [X1:$i] : (changef@(d_1to@(d_8276_x1@X0))@(d_1to@(d_8276_x1@X0))@X1@(d_1out@(d_8276_x1@X0))@(d_8283_b0@X0@X1))))).

thf(typ_d_8283_s2,type, (d_8283_s2 : ($i>$i>$i))).

thf(def_d_8283_s2,definition, (d_8283_s2 = (^ [X0:$i] : ^ [X1:$i] : (wissel@(d_1to@(d_8276_x1@X0))@(d_1out@(d_8276_x1@X0))@(d_8283_a0@X0@X1))))).

thf(typ_d_8283_s3,type, (d_8283_s3 : ($i>$i>$i))).

thf(def_d_8283_s3,definition, (d_8283_s3 = (^ [X0:$i] : ^ [X1:$i] : (wissel@(d_1to@(d_8276_x1@X0))@(d_1out@(d_8276_x1@X0))@(d_8283_b0@X0@X1))))).

thf(typ_f05,type, (f05 : ($i>$i>$i))).

thf(def_f05,definition, (f05 = (^ [X0:$i] : (left@complex@(d_8276_x1@X0)@n_2)))).

thf(typ_s05,type, (s05 : ($i>$i>$i))).

thf(def_s05,definition, (s05 = (^ [X0:$i] : (left@(d_1to@(d_8276_x1@X0))@(d_8276_x1@X0)@n_2)))).

thf(typ_d_8283_g7,type, (d_8283_g7 : ($i>$i>$i>$i))).

thf(def_d_8283_g7,definition, (d_8283_g7 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_8276_x1@X0)@n_2@(d_8283_g@(d_8276_x1@X0)@X1@X2))))).

thf(typ_xm1,type, (xm1 : ($i>$i))).

thf(def_xm1,definition, (xm1 = (^ [X0:$i] : (n_mn@X0@n_1)))).

thf(typ_d_8283_s4,type, (d_8283_s4 : ($i>$i>$i))).

thf(def_d_8283_s4,definition, (d_8283_s4 = (^ [X0:$i] : ^ [X1:$i] : (changef@(d_1to@(d_8276_x1@X0))@(d_1to@(d_8276_x1@X0))@X1@(d_1out@(d_8276_x1@X0))@(xout@(d_8276_x1@X0)))))).

thf(typ_d_8283_g9,type, (d_8283_g9 : ($i>$i>$i>$i))).

thf(def_d_8283_g9,definition, (d_8283_g9 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@X0@(n_pl@n_1@(xm1@X0))@(d_8283_g1@X0@X1@X2))))).

thf(typ_g10,type, (g10 : ($i>$i>$i>$i))).

thf(def_g10,definition, (g10 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (right@complex@n_1@(xm1@X0)@(d_8283_g9@X0@X1@X2))))).

thf(typ_g11,type, (g11 : ($i>$i>$i>$i))).

thf(def_g11,definition, (g11 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(n_pl@n_1@(xm1@X0))@n_1@(d_8283_g9@X0@X1@X2))))).

thf(typ_d_8283_1a,type, (d_8283_1a : ($i>$i))).

thf(def_d_8283_1a,definition, (d_8283_1a = (^ [X0:$i] : (left1to@(n_pl@n_1@(xm1@X0))@n_1@(xout@n_1))))).

thf(typ_d_8283_1b,type, (d_8283_1b : ($i>$i))).

thf(def_d_8283_1b,definition, (d_8283_1b = (^ [X0:$i] : (left1to@X0@(n_pl@n_1@(xm1@X0))@(d_8283_1a@X0))))).

thf(typ_d_8283_1c,type, (d_8283_1c : ($i>$i))).

thf(def_d_8283_1c,definition, (d_8283_1c = (^ [X0:$i] : (left1to@(d_8276_x1@X0)@X0@(d_8283_1b@X0))))).

thf(typ_g12,type, (g12 : ($i>$i>$i>$i))).

thf(def_g12,definition, (g12 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(d_8276_x1@X0)@X0@(d_8283_g@(d_8276_x1@X0)@(d_8283_s4@X0@X1)@X2))))).

thf(typ_g13,type, (g13 : ($i>$i>$i>$i))).

thf(def_g13,definition, (g13 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@X0@(n_pl@n_1@(xm1@X0))@(g12@X0@X1@X2))))).

thf(typ_g14,type, (g14 : ($i>$i>$i>$i))).

thf(def_g14,definition, (g14 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (right@complex@n_1@(xm1@X0)@(g13@X0@X1@X2))))).

thf(typ_g15,type, (g15 : ($i>$i>$i>$i))).

thf(def_g15,definition, (g15 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : (left@complex@(n_pl@n_1@(xm1@X0))@n_1@(g13@X0@X1@X2))))).

thf(typ_d_8283_ua,type, (d_8283_ua : ($i>$i>$i))).

thf(def_d_8283_ua,definition, (d_8283_ua = (^ [X0:$i] : (right1to@n_1@(xm1@X0))))).

thf(typ_d_8283_ub,type, (d_8283_ub : ($i>$i>$i))).

thf(def_d_8283_ub,definition, (d_8283_ub = (^ [X0:$i] : ^ [X1:$i] : (left1to@X0@(n_pl@n_1@(xm1@X0))@(d_8283_ua@X0@X1))))).

thf(typ_d_8283_uc,type, (d_8283_uc : ($i>$i>$i))).

thf(def_d_8283_uc,definition, (d_8283_uc = (^ [X0:$i] : ^ [X1:$i] : (left1to@(d_8276_x1@X0)@X0@(d_8283_ub@X0@X1))))).

thf(satz283,axiom, (all_of@(^ [X0:$i] : (in@X0@(d_Pi@complex@(^ [X1:$i] : (d_Pi@complex@(^ [X2:$i] : complex))))))@(^ [X0:$i] : ((assoc@X0) => ((commut@X0) => (all_of@(^ [X1:$i] : (in@X1@nat))@(^ [X1:$i] : (all_of@(^ [X2:$i] : (in@X2@(d_Pi@(d_1to@X1)@(^ [X3:$i] : (d_1to@X1)))))@(^ [X2:$i] : ((bijective@(d_1to@X1)@(d_1to@X1)@X2) => (all_of@(^ [X3:$i] : (in@X3@(d_Pi@(d_1to@X1)@(^ [X4:$i] : complex))))@(^ [X3:$i] : (c_is@(smpr@X0@X1@(d_Sigma@(d_1to@X1)@(^ [X4:$i] : (ap@X3@(ap@X2@X4)))))@(smpr@X0@X1@X3)))))))))))))).

thf(typ_c_shiftf,type, (c_shiftf : ($i>$i>$i>$i))).

thf(def_c_shiftf,definition, (c_shiftf = (^ [X0:$i] : ^ [X1:$i] : (shiftf@X0@X1@complex)))).

thf(typ_smpri,type, (smpri : ($i>$i>$i>$i>$i))).

thf(def_smpri,definition, (smpri = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (smpr@X3@(shiftl@X0@X1)@(c_shiftf@X0@X1@X2))))).

thf(typ_lft,type, (lft : ($i>$i>$i>$i>$i))).

thf(def_lft,definition, (lft = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (d_Sigma@real@(^ [X4:$i] : (if@(intrl@X4)@(if@(r_lessis@X1@X4)@(if@(r_lessis@X4@X3)@(ap@X2@X4)@emptyset)@emptyset)@emptyset)))))).

thf(typ_d_8284_p1,type, (d_8284_p1 : ($i>$i))).

thf(def_d_8284_p1,definition, (d_8284_p1 = (^ [X0:$i] : (r_pl@X0@d_1rl)))).

thf(typ_rgt,type, (rgt : ($i>$i>$i>$i>$i))).

thf(def_rgt,definition, (rgt = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (d_Sigma@real@(^ [X4:$i] : (if@(intrl@X4)@(if@(r_lessis@(r_pl@X3@d_1rl)@X4)@(ap@X2@X4)@emptyset)@emptyset)))))).

thf(typ_suy,type, (suy : ($i>$i>$i))).

thf(def_suy,definition, (suy = (^ [X0:$i] : ^ [X1:$i] : (shiftl@X1@X0)))).

thf(typ_sxu,type, (sxu : ($i>$i>$i))).

thf(def_sxu,definition, (sxu = (^ [X0:$i] : ^ [X1:$i] : (shiftl@X0@(d_8284_p1@X1))))).

thf(typ_d_8284_f1,type, (d_8284_f1 : ($i>$i>$i>$i>$i))).

thf(def_d_8284_f1,definition, (d_8284_f1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (left@complex@(shiftl@X0@X1)@(n_pl@(suy@X1@X3)@(sxu@X0@X3))@(c_shiftf@X0@X1@X2))))).

thf(typ_d_8284_fr,type, (d_8284_fr : ($i>$i>$i>$i>$i))).

thf(def_d_8284_fr,definition, (d_8284_fr = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (right@complex@(suy@X1@X3)@(sxu@X0@X3)@(d_8284_f1@X0@X1@X2@X3))))).

thf(typ_d_8284_fl,type, (d_8284_fl : ($i>$i>$i>$i>$i))).

thf(def_d_8284_fl,definition, (d_8284_fl = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (left@complex@(n_pl@(suy@X1@X3)@(sxu@X0@X3))@(suy@X1@X3)@(d_8284_f1@X0@X1@X2@X3))))).

thf(typ_d_8284_n1,type, (d_8284_n1 : ($i>$i>$i>$i>$i))).

thf(def_d_8284_n1,definition, (d_8284_n1 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (left1to@(shiftl@X0@X1)@(n_pl@(suy@X1@X2)@(sxu@X0@X2))@(right1to@(suy@X1@X2)@(sxu@X0@X2)@X3))))).

thf(typ_d_8284_n2,type, (d_8284_n2 : ($i>$i>$i>$i>$i))).

thf(def_d_8284_n2,definition, (d_8284_n2 = (^ [X0:$i] : ^ [X1:$i] : ^ [X2:$i] : ^ [X3:$i] : (left1to@(shiftl@X0@X1)@(n_pl@(suy@X1@X2)@(sxu@X0@X2))@(left1to@(n_pl@(suy@X1@X2)@(sxu@X0@X2))@(suy@X1@X2)@X3))))).

thf(satz284,conjecture, (all_of@(^ [X0:$i] : (in@X0@real))@(^ [X0:$i] : ((intrl@X0) => (all_of@(^ [X1:$i] : (in@X1@real))@(^ [X1:$i] : ((intrl@X1) => ((r_lessis@X1@X0) => (all_of@(^ [X2:$i] : (in@X2@(seq@X0@X1@complex)))@(^ [X2:$i] : ((proofsirrelevant@X0@X1@complex@X2) => (all_of@(^ [X3:$i] : (in@X3@(d_Pi@complex@(^ [X4:$i] : (d_Pi@complex@(^ [X5:$i] : complex))))))@(^ [X3:$i] : ((assoc@X3) => (all_of@(^ [X4:$i] : (in@X4@real))@(^ [X4:$i] : ((intrl@X4) => ((r_lessis@X1@X4) => ((r_less@X4@X0) => (c_is@(smpri@X0@X1@X2@X3)@(ap@(ap@X3@(smpri@X4@X1@(lft@X0@X1@X2@X4)@X3))@(smpri@X0@(r_pl@X4@d_1rl)@(rgt@X0@X1@X2@X4)@X3)))))))))))))))))))))).

